ukui-bluetooth (3.1.4+2022.0531-ok1) yangtze; urgency=medium

  * Bug号码:
    -126041 【wayland】【蓝牙】任务栏蓝牙点开后，继续点击蓝牙设置，不显示蓝牙设置选项，只显示控制面板主界面;蓝牙不能正常使用
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 06 Jul 2022 13:40:26 +0800

ukui-bluetooth (3.1.4+2022.0531-0k0) yangtze; urgency=medium

  * Bug号码:
    -121539 【需求12772】【蓝牙】多次连接失败，移除提示显示与设计不符
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 31 May 2022 09:34:04 +0800

ukui-bluetooth (3.1.4+2022-0526.1) yangtze; urgency=medium

  * Bug号码:
  * 需求号 :无
  * 其他改动说明:同步2203中蓝牙控制面板中解的bug代码。
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 26 May 2022 17:21:32 +0800

ukui-bluetooth (3.1.4+2022-0526) yangtze; urgency=medium

  * Bug号码:
    -121551 任务栏蓝牙界面设备连接中的显示与设计不符
    -121533 默认主题下，任务栏蓝牙界面未适配
    -121210 同时向手机或电脑发送文件3或3个以上，只有前两个文件可以发送成功，接收端就会跳转到接收路径下
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 26 May 2022 16:59:18 +0800

ukui-bluetooth (3.1.4+2022.0513.2-0k0) yangtze; urgency=medium

  * 修改为quilt格式

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 20 May 2022 16:41:37 +0800

ukui-bluetooth (3.1.4+2022-0513.2) yangtze; urgency=medium

  * Bug号码:
  * 需求号 :无
  * 其他改动说明:添加sdk的编译依赖 libkysdk-qtwidgets-dev (>= 1.0.0kylin12+0422)
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 12 May 2022 10:15:09 +0800

ukui-bluetooth (3.1.4+2022-0513.1) yangtze; urgency=medium

  * Bug号码:
    -91326 【控制面板】-首页图标、左侧导航线性图标可以跟随主题切换
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 12 May 2022 06:44:17 +0800

ukui-bluetooth (3.1.4+2022-0513) yangtze; urgency=medium

  * Bug号码:
    -114878 【设计】【主题框架】switch按钮交互状态缺失
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 13 May 2022 01:39:15 +0800

ukui-bluetooth (3.1.4+2022-0510) yangtze; urgency=medium

  * Bug号码:
    -bug#118065 【控制面板】控制面板菜单栏顺序与设计稿不一致
  * 需求号 :无
  * 其他改动说明:无
  * 其他改动影响域：无

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 10 May 2022 17:50:25 +0800

ukui-bluetooth (1.0.3-1kylin2k61update4) yangtze; urgency=medium

  * Bug:
  * Task :
    -12770 【蓝牙】实现蓝牙主动弹出连接请求
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 09 May 2022 11:10:23 +0800

ukui-bluetooth (1.0.3-1kylin2k61update3.1) yangtze; urgency=medium

  * Bug:
    -116827 【前线】【外部禅道编号9396】 蓝牙设备里显示未连接
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 29 Apr 2022 17:36:02 +0800

ukui-bluetooth (1.0.3-1kylin2k61update3) yangtze; urgency=medium

  * Bug:
    -116345 【离线升级】【蓝牙】升级完成后，控制面板无蓝牙显示，但是任务栏存在蓝牙
    -115964 【离线升级】【蓝牙】升级完成后，控制面板无蓝牙显示
    -116149 蓝牙同时连接两个设备，正在往其中一个发送文件时，无法往另一个设备发送文件
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 28 Apr 2022 15:38:03 +0800

ukui-bluetooth (1.0.3-1kylin2k61update2.3) yangtze; urgency=medium

  * Bug:
    -116345 【离线升级】【蓝牙】升级完成后，控制面板无蓝牙显示，但是任务栏存在蓝牙
    -115964 【离线升级】【蓝牙】升级完成后，控制面板无蓝牙显示
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 28 Apr 2022 14:19:57 +0800

ukui-bluetooth (1.0.3-1kylin2k61update2.2) yangtze; urgency=medium

  * Bug:
    -116149 蓝牙同时连接两个设备，正在往其中一个发送文件时，无法往另一个设备发送文件
  * Task :
  * Other:
    -蓝牙文件同步互传(bluez需要同步更新5.62)
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 28 Apr 2022 11:20:07 +0800

ukui-bluetooth (1.0.3-1kylin2k61update2.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -增加配对列表中，设备多次连接时无法成功时提示用户移除后重新配对连接的提示

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 25 Apr 2022 10:50:13 +0800

ukui-bluetooth (1.0.3-1kylin2k61update2) yangtze; urgency=medium

  * Bug:
    -116708【蓝牙】点击侧边栏-蓝牙-蓝牙设置无法打开控制面板对应蓝牙页面（必现>）
    -116678 【cpm】【BT-内场-基线-低概率-目前仅出现1次-12-蓝牙其它】【L1】【PGW-KOS】，2022-04-21_17：39：25，连上声阔耳机听音乐，出现任务栏蓝牙正常，但控制面板显示蓝牙驱动异常。【-+-】DTS2022042116252
  * Task :
  * Other:
    -增加bluetoothService的日志信息

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 25 Apr 2022 09:03:35 +0800

ukui-bluetooth (1.0.3-1kylin2k61update1.2) yangtze; urgency=medium

  * Bug:
    - 116708 【蓝牙】点击侧边栏-蓝牙-蓝牙设置无法打开控制面板对应蓝牙页面（必现）
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Sun, 24 Apr 2022 10:51:13 +0800

ukui-bluetooth (1.0.3-1kylin2k61update1.1) yangtze; urgency=medium

  * Bug:
     - 116678 【cpm】【BT-内场-基线-低概率-目前仅出现1次-12-蓝牙其它】【L1】【PGW-KOS】，2022-04-21_17：39：25，连上声阔耳机听音乐，出现任务栏蓝牙正常，但控制面板显示蓝牙驱动异常。【-+-】DTS2022042116252
  * Task :
  * Other:
    -增加bluetoothService日志打印信息用于处理华为机器异常显示蓝牙异常提示的问题

 -- dengtuo <dengtuo@kylinos.cn>  Sun, 24 Apr 2022 10:25:40 +0800

ukui-bluetooth (1.0.3-1kylin2k61update1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - rebuild 1.0.3-1kylin2k60.3
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 21 Apr 2022 15:34:58 +0800

ukui-bluetooth (1.0.3-1kylin2k60.3) yangtze; urgency=medium

  * Bug:
    - 116134 测试机连接被测机器蓝牙，接收端与发送端提示框显示的文件大小不一致单位不一致
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 20 Apr 2022 15:31:04 +0800

ukui-bluetooth (1.0.3-1kylin2k60.2) yangtze; urgency=medium
  
  * Bug:
    - 116239 识别不到蓝牙时，任务栏托盘处仍显示蓝牙图标
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 20 Apr 2022 15:04:48 +0800

ukui-bluetooth (1.0.3-1kylin2k60.1) yangtze; urgency=medium

  * Bug:
    - 113638 【cpm】【BT-内场-兼容性测试-必现-3/3-5-蓝牙音频质量】【L1】【PtoF】【PGW-KOS】11:41:01连接上铁三角耳机，播放本地音乐并可以听到音乐声，.超距回到座位后，显示已连接，但是无声，发现输出音频是pc自身，重启pc可恢复【ATH-SR30BT设备】 DTS2022033009387
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 19 Apr 2022 17:02:18 +0800

ukui-bluetooth (1.0.3-1kylin2k60) yangtze; urgency=medium

  * Bug:
    - 115281 【蓝牙管理器】【冒烟】【用例76949】设置-设备-关闭蓝牙开关，任务栏蓝牙图标慢5秒切换状态
    - 115397 【x100】【蓝牙】打开控制面板蓝牙页，进行休眠/睡眠，唤醒后，控制面板自动跳转到主页
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 15 Apr 2022 15:46:48 +0800

ukui-bluetooth (1.0.3-1kylin2k59.2) yangtze; urgency=medium

  * Bug:
    - 115397 【x100】【蓝牙】打开控制面板蓝牙页，进行休眠/睡眠，唤醒后，控制面板自动跳转到主页
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 15 Apr 2022 13:50:06 +0800

ukui-bluetooth (1.0.3-1kylin2k59.1) yangtze; urgency=medium

  * Bug:
    - 115281 【蓝牙管理器】【冒烟】【用例76949】设置-设备-关闭蓝牙开关，任务栏蓝牙图标慢5秒切换状态
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 14 Apr 2022 11:33:45 +0800

ukui-bluetooth (1.0.3-1kylin2k59) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - rebuild - 1.0.0-1kylin2k59
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 14 Apr 2022 09:30:50 +0800

ukui-bluetooth (1.0.0-1kylin2k59) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 去掉华为机型显示蓝牙设备电池电量接口 

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 13 Apr 2022 15:01:40 +0800

ukui-bluetooth (1.0.0-1kylin2k58.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 去掉华为机型显示蓝牙设备电池电量接口
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 13 Apr 2022 10:58:37 +0800

ukui-bluetooth (1.0.0-1kylin2k58) yangtze; urgency=medium

  * Bug  : 
    - 97683  文件传输失败提示不会自动显示在最上端
    - 114237 托盘处蓝牙设备电量显示测试，不显示电量
    - 113586 蓝牙发送文件界面，文件大小应该要和文件管理器中保持一致
    - 113521 英文环境下，蓝牙应用的名称和其他应用名称格式不一致
  * Task :
  * Other:

 -- 李享 <lixiang1@kylinos.cn>  Mon, 11 Apr 2022 10:30:28 +0800

ukui-bluetooth (1.0.0-1kylin2k57.1) yangtze; urgency=medium

  * Bug:
    - 113586 蓝牙文件发送文件大小单位标签
    - 113521 英文环境下蓝牙名称格式不同意
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Sat, 02 Apr 2022 14:31:50 +0800

ukui-bluetooth (1.0.0-1kylin2k57) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 增加控制面板蓝牙界面显示状态初始状态 

 -- dengtuo <dengtuo@kylinos.cn>  Sat, 02 Apr 2022 09:21:02 +0800

ukui-bluetooth (1.0.0-1kylin2k56.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 增加控制面板蓝牙界面显示状态初始状态

 -- dengtuo <dengtuo@kylinos.cn>  Sat, 02 Apr 2022 09:13:55 +0800

ukui-bluetooth (1.0.0-1kylin2k56) yangtze; urgency=medium

  * Bug:
    - 112892【蓝牙】蓝牙修改名称的提示字体不跟随系统字体大小
    - 112855【蓝牙】可被附件的蓝牙设备发现默认为关闭状态
    - 111914 不能与windows传输文件，需要重新连接才能开放传输接口
    - 111902 托盘蓝牙界面重叠问题
    - 111805 15号字体下接受文件界面布局
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 29 Mar 2022 15:16:09 +0800

ukui-bluetooth (1.0.0-1kylin2k55.9) yangtze; urgency=medium

  * Bug:
    - 112892【蓝牙】蓝牙修改名称的提示字体不跟随系统字体大小
  * Task :
  * Other: 

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 29 Mar 2022 15:10:12 +0800

ukui-bluetooth (1.0.0-1kylin2k55.8) yangtze; urgency=medium

  * Bug:
    - 112855【蓝牙】可被附件的蓝牙设备发现默认为关闭状态
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 29 Mar 2022 14:47:18 +0800

ukui-bluetooth (1.0.0-1kylin2k55.7) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 修复编译报错问题

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 29 Mar 2022 09:43:29 +0800

ukui-bluetooth (1.0.0-1kylin2k55.6) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 控制面板动态显示蓝牙界面
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 29 Mar 2022 09:22:08 +0800

ukui-bluetooth (1.0.0-1kylin2k55.5) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 去掉回连逻辑中的定时器
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 28 Mar 2022 11:28:38 +0800

ukui-bluetooth (1.0.0-1kylin2k55.4) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 修复上个pr未完全修复的问题 

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 28 Mar 2022 11:15:24 +0800

ukui-bluetooth (1.0.0-1kylin2k55.3) yangtze; urgency=medium

  * Bug:
    - 111914 不能与windows传输文件，需要重新连接才能开放传输接口
  * Task :
  * Other:
    - 华为分支audio video图标问题
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 28 Mar 2022 11:02:36 +0800

ukui-bluetooth (1.0.0-1kylin2k55.2) yangtze; urgency=medium

  * Bug:
    - 111902 托盘蓝牙界面重叠问题
  * Task :
  * Other:
   
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 24 Mar 2022 15:08:02 +0800

ukui-bluetooth (1.0.0-1kylin2k55.1) yangtze; urgency=medium

  * Bug:
    - 111805 15号字体下接受文件界面布局
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 24 Mar 2022 10:16:06 +0800

ukui-bluetooth (1.0.0-1kylin2k55) yangtze; urgency=medium

  * Bug:
    - 110971字体显示不完整
    - 110961文件大小计算进制问题
    - 110887 【X100】【蓝牙】睡眠唤醒后蓝牙开关自动打开
    - 111025 【D2000攻关】【长城TN140A2】【蓝牙】蓝牙关闭后睡眠唤醒，蓝牙为打开>状态
    - 97683 【蓝牙】文件传输失败提示不会自动显示在最上端
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 23 Mar 2022 14:32:27 +0800

ukui-bluetooth (1.0.0-1kylin2k54.6) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -控制面板还未到的设备界面的情况下，接受到设备发起的配对信号，却不会创建设备界面的情况

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 23 Mar 2022 14:28:39 +0800

ukui-bluetooth (1.0.0-1kylin2k54.5) yangtze; urgency=medium

  * Bug:
    - 110887 【X100】【蓝牙】睡眠唤醒后蓝牙开关自动打开
    - 111025 【D2000攻关】【长城TN140A2】【蓝牙】蓝牙关闭后睡眠唤醒，蓝牙为打开状态
  * Task :
  * Other:  
    - Remove redundant qt module dependencies
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 23 Mar 2022 13:54:47 +0800

ukui-bluetooth (1.0.0-1kylin2k54.4) yangtze; urgency=medium

  * Bug:
    - 97683 【蓝牙】文件传输失败提示不会自动显示在最上端
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 23 Mar 2022 08:56:23 +0800

ukui-bluetooth (1.0.0-1kylin2k54.3) yangtze; urgency=medium

  * Bug:
    - 111371	中等	一般	【蓝牙】第一次打开蓝牙界面，查看蓝牙“可被附近蓝牙检测”选项为关
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 22 Mar 2022 13:54:03 +0800

ukui-bluetooth (1.0.0-1kylin2k54.2) yangtze; urgency=medium

  * Bug:
    - 110971字体显示不完整
    - 110961文件大小计算进制问题
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 22 Mar 2022 09:09:01 +0800

ukui-bluetooth (1.0.0-1kylin2k54.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 处理定时清理的设备时移除判断不全的问题，正在配对的设备不能被移除的处理

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 21 Mar 2022 11:34:24 +0800

ukui-bluetooth (1.0.0-1kylin2k54) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 修复100556 只连接一个鼠标时，再次发起对配后会出现闪退的问题

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 17 Mar 2022 11:41:25 +0800

ukui-bluetooth (1.0.0-1kylin2k53.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 修复100556 只连接一个鼠标时，再次发起对配后会出现闪退的问题

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 17 Mar 2022 11:09:06 +0800

ukui-bluetooth (1.0.0-1kylin2k53) yangtze; urgency=medium

  * Bug:
    - 100556 【蓝牙】连接鼠标后，再次开启此设备的配对（相同蓝牙），会出现新的设>备并且可以连接，原有设备无法连接
    - 103961 【CPM】【HUAWEI】【KOS】【BT】【KPI】搜到耳机后，从点击耳机到音乐出声时间为15s kpi为5s（一般+高概率2/30+常用功能）DTS2022011207325
    - 109859 【蓝牙】蓝牙扫描需等待1分钟左右才会出现设备列表
    - 109856 【CPM】【L1】【PtoF】【KOS】【BT-内场-基线-低概率-1次/10次-12-蓝牙>其他】2022-03-09_16-33-57，右下角状态栏蓝牙打开后蓝牙设备出现有电量图标【--+--】 DTS2022030912930
   - 110338 【蓝牙】连手机/pc机后，在控制面板发送文件，无法发送文件选项，可以通过文管发送文件（重启控制面板可以正常显示发送文件）（复现概率：2/25）
   - 104006 【蓝牙】蓝牙开关关闭时，停止蓝牙服务再重新启动服务，需要点击两次开>关才能打开蓝牙
  * Task :
    - 73981 子 【控制面板】异常提示文案显示位置跟字体颜色与主题规范保持一致 / 蓝牙UI调整
  * Other: 

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 16 Mar 2022 09:29:51 +0800

ukui-bluetooth (1.0.0-1kylin2k52.9) yangtze; urgency=medium

  * Bug:
    - 104006 【蓝牙】蓝牙开关关闭时，停止蓝牙服务再重新启动服务，需要点击两次开关才能打开蓝牙
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 16 Mar 2022 09:27:50 +0800

ukui-bluetooth (1.0.0-1kylin2k52.8) yangtze; urgency=medium

  * Bug:
    - 110338 【蓝牙】连手机/pc机后，在控制面板发送文件，无法发送文件选项，可以通过文管发送文件（重启控制面板可以正常显示发送文件）（复现概率：2/25）
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 16 Mar 2022 09:10:31 +0800

ukui-bluetooth (1.0.0-1kylin2k52.7) yangtze; urgency=medium

  * Bug:
    - 100556 【蓝牙】连接鼠标后，再次开启此设备的配对（相同蓝牙），会出现新的设备并且可以连接，原有设备无法连接
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 15 Mar 2022 14:29:36 +0800

ukui-bluetooth (1.0.0-1kylin2k52.6) yangtze; urgency=medium

  * Bug:
  * Task :
    - 73981 子 【控制面板】异常提示文案显示位置跟字体颜色与主题规范保持一致 / 蓝牙UI调整
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 15 Mar 2022 10:03:16 +0800

ukui-bluetooth (1.0.0-1kylin2k52.5) yangtze; urgency=medium

  * Bug:
    - 103961 【CPM】【HUAWEI】【KOS】【BT】【KPI】搜到耳机后，从点击耳机到音乐出声时间为15s kpi为5s（一般+高概率2/30+常用功能）DTS2022011207325
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 14 Mar 2022 14:41:13 +0800

ukui-bluetooth (1.0.0-1kylin2k52.4) yangtze; urgency=medium

  * Bug:
    - 109859 【蓝牙】蓝牙扫描需等待1分钟左右才会出现设备列表
  * Task :
  * Other:
    - 大文件发送【F129】机器进度显示发送未完成的问题  

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 14 Mar 2022 11:29:28 +0800

ukui-bluetooth (1.0.0-1kylin2k52.3) yangtze; urgency=medium

  * Bug:
    - 109856 【CPM】【L1】【PtoF】【KOS】【BT-内场-基线-低概率-1次/10次-12-蓝牙其他】2022-03-09_16-33-57，右下角状态栏蓝牙打开后蓝牙设备出现有电量图标【--+--】 DTS2022030912930
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 14 Mar 2022 11:17:27 +0800

ukui-bluetooth (1.0.0-1kylin2k52.2) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 优化设备关闭，界面不消失问题 

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 14 Mar 2022 10:54:22 +0800

ukui-bluetooth (1.0.0-1kylin2k52.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 还原发送文件增加文件type参数的问题导致的版本维护性问题

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Mar 2022 16:41:11 +0800

ukui-bluetooth (1.0.0-1kylin2k52) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 暂时去除间隙性扫描方案

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Mar 2022 16:41:11 +0800

ukui-bluetooth (1.0.0-1kylin2k51) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 首次打开控制面板扫描无法启动的问题

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Mar 2022 12:41:09 +0800

ukui-bluetooth (1.0.0-1kylin2k50) yangtze; urgency=medium

  * Bug:
    - 108516 华为150%缩放下连接蓝牙PIN码窗口未缩放
    - 108494 华为移除已连接设备未弹消息通知
    - 108729 【蓝牙】【低概率】打开蓝牙，放置几分钟，设备列表消失且不扫描
    - 104229 【cpm】【HUAWEI】【PtoF】【KOS】【BT】【L1】机器休眠后BT关闭【一般+低概率（测试中出现了1次）+常用功能
    - 101984 【CPM】【HUAWEI】【KOS】【BT】【非用例测试】关闭pc蓝牙在打开后等3s后在点击鼠标M585，大概10s才回连成功（建议优化到4s内）（一般+必现+常用功能） DTS2021123008203
  * Task :
  * Other:


 -- dengtuo <dengtuo@kylinos.cn>  Tue, 08 Mar 2022 09:57:01 +0800

ukui-bluetooth (1.0.0-1kylin2k49.3) yangtze; urgency=medium

  * Bug:
    - 108516 华为150%缩放下连接蓝牙PIN码窗口未缩放 
    - 108494 华为移除已连接设备未弹消息通知
  * Task :
  * Other:
    - patches/fix_huawei_scale_problem_and_remove_dev_without_notify.patch

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 04 Mar 2022 16:28:33 +0800

ukui-bluetooth (1.0.0-1kylin2k49.2) yangtze; urgency=medium

  * Bug:
    - 108729 【蓝牙】【低概率】打开蓝牙，放置几分钟，设备列表消失且不扫描
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 04 Mar 2022 15:45:49 +0800

ukui-bluetooth (1.0.0-1kylin2k49.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - 增加电脑手机设备不支持文件发送功能时，不显示文件发送选项 
    - 华为机型增加开启蓝牙功能时的多次间隔扫描操作
    - 增加音频连接成功后1s内出现断开情况下的，再次连接操作

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 04 Mar 2022 09:14:30 +0800

ukui-bluetooth (1.0.0-1kylin2k49) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  bluetoothService的设备扫描接口中增加是否支持文件发送的上传参数。
    -  panguw编译报错问题
    -  修复panguw连接已配对的手机无法开启扫描的问题

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 02 Mar 2022 14:14:29 +0800

ukui-bluetooth (1.0.0-1kylin2k48.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  bluetoothService的设备扫描接口中增加是否支持文件发送的上传参数。
    -  panguw编译报错问题
    -  修复panguw连接已配对的手机无法开启扫描的问题

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 02 Mar 2022 13:45:09 +0800

ukui-bluetooth (1.0.0-1kylin2k48) yangtze; urgency=medium

  * Bug:
    -  107712 15号字体文件发送界面文件名称显示不完全
    -  107492插入多适配器后切换适配器，托盘蓝牙界面不更新
    -  107762 【蓝牙】深色主题下，发送文件-设备选择界面边框不易被看清
    -  107773 【蓝牙】使用蓝牙传输文件，在设备选择界面，鼠标悬浮设备后为直角显示，与设计不符（必现）
    -  107775 【蓝牙】深色主题下，发送文件-设备选择界面边框不易被看清
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 02 Mar 2022 10:02:51 +0800

ukui-bluetooth (1.0.0-1kylin2k47.5) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  发送文件的obex判断问题更新

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 02 Mar 2022 09:59:57 +0800

ukui-bluetooth (1.0.0-1kylin2k47.4) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  去除mac前3位一致时移除设备的功能
    -  基于设备重新开启配对后mac地址改变，bluetoothService增加mac地址改变信号，备注：功能暂未启用，等待测试结果
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 28 Feb 2022 15:48:41 +0800

ukui-bluetooth (1.0.0-1kylin2k47.3) yangtze; urgency=medium

  * Bug:
    -  107762 【蓝牙】深色主题下，发送文件-设备选择界面边框不易被看清
    -  107773 【蓝牙】使用蓝牙传输文件，在设备选择界面，鼠标悬浮设备后为直角显示，与设计不符（必现）
    -  107775 【蓝牙】深色主题下，发送文件-设备选择界面边框不易被看清
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 28 Feb 2022 15:32:12 +0800

ukui-bluetooth (1.0.0-1kylin2k47.2) yangtze; urgency=medium

  * Bug:
    -  107712 15号字体文件发送界面文件名称显示不完全
    -  107492插入多适配器后切换适配器，托盘蓝牙界面不更新
  * Task :
  * Other:
    -  patches/fix_filesend_widget_file_name_label_height.patch
    -  patches/fix_change_default_adapter_traywidget_changed_nothing.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 24 Feb 2022 13:38:11 +0800

ukui-bluetooth (1.0.0-1kylin2k47.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  增加dbus接口等待时间，防止获取不到数据

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 23 Feb 2022 15:58:37 +0800

ukui-bluetooth (1.0.0-1kylin2k47) yangtze; urgency=medium

  * Bug:
    -  107252 【CPM】【HUAWEI】【KOS】【BT】【功能用例】【L1】关开蓝牙，发现搜索不到设备 后面多次关开pc蓝牙还是搜不到（一般+高概率1/20+常用功能） DTS2021123102271
    -  101650 【CPM】【HUAWEI】【KOS】【BT】【非用例测试】关开PC的BT,鼠标M585已>经回连上可以使用，PC界面上过2s才显示已连接（一般+必现+常用功能
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 22 Feb 2022 16:53:20 +0800

ukui-bluetooth (1.0.0-1kylin2k46.3) yangtze; urgency=medium

  * Bug: 
  * Task :
  * Other:
    -  增加设备配对的可以配置
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 22 Feb 2022 14:38:55 +0800

ukui-bluetooth (1.0.0-1kylin2k46.2) yangtze; urgency=medium

  * Bug:
    -  107252 【CPM】【HUAWEI】【KOS】【BT】【功能用例】【L1】关开蓝牙，发现搜索不到设备 后面多次关开pc蓝牙还是搜不到（一般+高概率1/20+常用功能） DTS2021123102271
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 22 Feb 2022 10:55:09 +0800

ukui-bluetooth (1.0.0-1kylin2k46.1) yangtze; urgency=medium

  * Bug:
    -  101650 【CPM】【HUAWEI】【KOS】【BT】【非用例测试】关开PC的BT,鼠标M585已经回连上可以使用，PC界面上过2s才显示已连接（一般+必现+常用功能
  * Task :
  * Other:
    -  patches/optimum_101650.patch

 -- kylin <kylin@kylin-ThinkPad-T14-Gen-1>  Mon, 21 Feb 2022 17:06:56 +0800

ukui-bluetooth (1.0.0-1kylin2k46) yangtze; urgency=medium

  * Bug:
    -  89265 不会提示配对失败、
    -  90265 蓝牙崩溃
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 21 Feb 2022 11:32:14 +0800

ukui-bluetooth (1.0.0-1kylin2k45.1) yangtze; urgency=medium

  * Bug:
    -  89265 不会提示配对失败、
    -  90265 蓝牙崩溃
  * Task :
  * Other:
    -  avoid_Intel_QT_MessageBox_Error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 21 Feb 2022 11:29:15 +0800

ukui-bluetooth (1.0.0-1kylin2k45) yangtze; urgency=medium

  * Bug:
    -  106960 外接显示器屏幕扩展模式，托盘主界面显示位置异常
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 21 Feb 2022 10:04:31 +0800

ukui-bluetooth (1.0.0-1kylin2k44.1) yangtze; urgency=medium

  * Bug:
    -  106960 外接显示器屏幕扩展模式，托盘主界面显示位置异常
  * Task :
  * Other:
    -  patches/fix_external_screen_traywidget_show_geometry.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 18 Feb 2022 17:41:28 +0800

ukui-bluetooth (1.0.0-1kylin2k44) yangtze; urgency=medium

  * Bug:
    -  101551 【cpm】【HUAWEI】【KOS】【功能测试】【L0】BIOS高级设置处关闭蓝牙，对应的蓝牙没有屏蔽（一般+必现+常用功能）
    -  103971 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】华为鼠标af30，开关蓝牙进入配对后在pc上显示，鼠标下电后观察pc蓝牙列表上该设备信息在161s才消失（一般+必现+常用功能） DTS2022011305313
    -  104244 【蓝牙】深色模式下，我的设备和其他设备显示白底黑字
    -  103834 【蓝牙】深色主题下，蓝牙刷新列表界面反白显示，风格不统一
    -  103425 【蓝牙】修改为深色主题后，蓝牙设备列表一直高亮显示，鼠标悬浮后颜变暗
    -  106686 发送文件时概率性崩溃的问题
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 18 Feb 2022 13:43:37 +0800

ukui-bluetooth (1.0.0-1kylin2k43.3) yangtze; urgency=medium

  * Bug:
    -  101551 【cpm】【HUAWEI】【KOS】【功能测试】【L0】BIOS高级设置处关闭蓝牙，对应的蓝牙没有屏蔽（一般+必现+常用功能）
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 17 Feb 2022 16:09:07 +0800

ukui-bluetooth (1.0.0-1kylin2k43.2) yangtze; urgency=medium

  * Bug:
    -  103971 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】华为鼠标af30，开关蓝牙进入配对后在pc上显示，鼠标下电后观察pc蓝牙列表上该设备信息在161s才消失（一般+必现+常用功能） DTS2022011305313
    -  104244 【蓝牙】深色模式下，我的设备和其他设备显示白底黑字
    -  103834 【蓝牙】深色主题下，蓝牙刷新列表界面反白显示，风格不统一
    -  103425 【蓝牙】修改为深色主题后，蓝牙设备列表一直高亮显示，鼠标悬浮后颜色变暗
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 17 Feb 2022 13:50:32 +0800

ukui-bluetooth (1.0.0-1kylin2k43.1) yangtze; urgency=medium

  * Bug:
    -  106686 发送文件时概率性崩溃的问题
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 17 Feb 2022 11:07:52 +0800

ukui-bluetooth (1.0.0-1kylin2k43) yangtze; urgency=medium

  * Bug:
    -  106408 【蓝牙】链接keyboard K370/K375键盘后，控制面板显示链接成功，侧边未更新此设备（必现-其他设备未复现此问题）
    -  106414 【蓝牙】【特殊设备】链接keyboard K370/K375键盘后，控制面板显示链接成功，托盘处更新此设备（必现-其他设备未复现此问题）
    -  106314 【蓝牙】使用安卓手机向测试机发送文件，测试无弹窗提示可接受文件，手机端显示发送失败（复现概率：3/8））
    -  106060 更改字体后打开文件接收和发送界面，字体仍为默认大小
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 15 Feb 2022 09:17:45 +0800

ukui-bluetooth (1.0.0-1kylin2k42.3) yangtze; urgency=medium

  * Bug:
    -  106408 【蓝牙】链接keyboard K370/K375键盘后，控制面板显示链接成功，侧边栏未更新此设备（必现-其他设备未复现此问题）
    -  106414 【蓝牙】【特殊设备】链接keyboard K370/K375键盘后，控制面板显示链接成功，托盘处更新此设备（必现-其他设备未复现此问题）
    -  106314 【蓝牙】使用安卓手机向测试机发送文件，测试无弹窗提示可接受文件，手机端显示发送失败（复现概率：3/8））
  * Task :
  * Other:
    -  patches/fix_signal_canceled_bind.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 15 Feb 2022 09:09:40 +0800

ukui-bluetooth (1.0.0-1kylin2k42.2) yangtze; urgency=medium

  * Bug:
    -  106060 更改字体后打开文件接收和发送界面，字体仍为默认大小
  * Task :
  * Other:
    -  patches/fix_init_font_size.patch
 -- dengtuo <dengtuo@kylinos.cn>  Sat, 12 Feb 2022 15:15:14 +0800

ukui-bluetooth (1.0.0-1kylin2k42.1) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  增加连接失败显示判断，概率性问题优化：蓝牙设备状态为连接状态时，再连接部分协议失败后，界面会先显示连接失败，过后显示连接成功
    -  patches/ukcc_bluetooth_fix_probability_show_connectfail.patch 
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Feb 2022 17:49:46 +0800

ukui-bluetooth (1.0.0-1kylin2k42) yangtze; urgency=medium

  * Bug:
    -  105964 点击托盘界面连接，连接动画过早结束问题、托盘程序崩溃问题
    -  105897 【intel】【蓝牙】刷机后，打开蓝牙界面，查看蓝牙“可被附近蓝牙检测”选项为关，与设计要求不符
    -  103792 【蓝牙】平板模式下，在文管选择文件长按通过蓝牙发送，概率性“设备选择”弹窗未弹出
    -   105687 【蓝牙】点击蓝牙设备分类列表后，界面显示控制面板相关小窗口，显示>各种手机设备（复现概率：目前出现一次）
    -   105746 【PTOF】【蓝牙】连接多个蓝牙设备后，侧边栏只显示三个蓝牙设备，重>启后可以正常显示多个蓝牙设备
  * Task :
  * Other: 

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Feb 2022 16:48:00 +0800

ukui-bluetooth (1.0.0-1kylin2k41.5) yangtze; urgency=medium
 
  * Bug:
    -  105964 点击托盘界面连接，连接动画过早结束问题、托盘程序崩溃问题
  * Task :
  * Other:
  -  patches/fix_segmentfault_and_clicked_active_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Feb 2022 16:11:41 +0800

ukui-bluetooth (1.0.0-1kylin2k41.4) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  修改手机类型协议，只连接Audio Source协议
    -  增加手机连接时的华为机型判断，华为机器不做设备连接操作
    -  patches/bluetoothService_modify_phone_only_connection_audio_source.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 11 Feb 2022 14:34:13 +0800

ukui-bluetooth (1.0.0-1kylin2k41.3) yangtze; urgency=medium

    * Bug:
    -   105897 【intel】【蓝牙】刷机后，打开蓝牙界面，查看蓝牙“可被附近蓝牙检测”选项为关，与设计要求不符
  * Task :
  * Other:
    -  修复没有蓝牙适配时打开控制面板蓝牙界面，插入适配器后的闪退问题
    -  patches/bluetoothService_fix_bug105897.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 10 Feb 2022 17:34:40 +0800

ukui-bluetooth (1.0.0-1kylin2k41.2) yangtze; urgency=medium

    * Bug:
    -   103792 【蓝牙】平板模式下，在文管选择文件长按通过蓝牙发送，概率性“设备选择”弹窗未弹出
  * Task :
  * Other:
    -  patches/fix_file_send_widget_may_not_pop_out.patch 

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 10 Feb 2022 17:24:14 +0800

ukui-bluetooth (1.0.0-1kylin2k41.1) yangtze; urgency=medium

  * Bug:
    -   105687 【蓝牙】点击蓝牙设备分类列表后，界面显示控制面板相关小窗口，显示各种手机设备（复现概率：目前出现一次）
    -   105746 【PTOF】【蓝牙】连接多个蓝牙设备后，侧边栏只显示三个蓝牙设备，重启后可以正常显示多个蓝牙设备
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fixbug105687.patch
    -  patches/fix_no_branch_detective_caused_problem.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 10 Feb 2022 15:24:33 +0800

ukui-bluetooth (1.0.0-1kylin2k41) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  panguw编译报错问题，临时去掉tmpdevclear文件

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 10 Feb 2022 11:00:16 +0800

ukui-bluetooth (1.0.0-1kylin2k40) yangtze; urgency=medium

  * Bug:
    -  104249 【蓝牙】插入多蓝牙适配器，蓝牙适配器列表显示多个设备名称，点击列表中其余适配器出现控制面板闪退现象
    -  105541 【蓝牙】刷新蓝牙列表后没有正在连接的图标  
    -  101654 【CND】【cpm】【HUAWEI】【KOS】【BT】【功能用例】【L1】搜到设备期间一直点击搜索到的鼠标去连接，发现点着界面没反应，但是可以点击其他按钮，pc蓝牙关开一次恢复正常（一般+测试2天出现2次+常用功能）
    -  105143文件传输界面存在字体遮挡
    -  105231接收文件界面问题
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 27 Jan 2022 17:46:30 +0800

ukui-bluetooth (1.0.0-1kylin2k39.7) yangtze; urgency=medium

  * Bug:
    -  104249 【蓝牙】插入多蓝牙适配器，蓝牙适配器列表显示多个设备名称，点击列表中其余适配器出现控制面板闪退现象
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_bug104249.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 27 Jan 2022 17:28:34 +0800

ukui-bluetooth (1.0.0-1kylin2k39.6) yangtze; urgency=medium

  * Bug:  
  * Task :
  * Other:
    -  修复界面清理时，可能造成的设备窗口显示到主界面的问题
    -  ukcc_bluetooth_fix_widget_show_error.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 27 Jan 2022 14:40:19 +0800

ukui-bluetooth (1.0.0-1kylin2k39.5) yangtze; urgency=medium

  * Bug:
    -  105541 【蓝牙】刷新蓝牙列表后没有正在连接的图标
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fixbug105541.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 27 Jan 2022 10:19:19 +0800

ukui-bluetooth (1.0.0-1kylin2k39.4) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    - 同步定时清理设备的类函数
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 26 Jan 2022 18:39:44 +0800

ukui-bluetooth (1.0.0-1kylin2k39.3) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other: 
    -  修复QString初始化为空时''的报错问题
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 26 Jan 2022 16:58:09 +0800

ukui-bluetooth (1.0.0-1kylin2k39.2) yangtze; urgency=medium

  * Bug:
    -  101654 【CND】【cpm】【HUAWEI】【KOS】【BT】【功能用例】【L1】搜到设备期间一直点击搜索到的鼠标去连接，发现点着界面没反应，但是可以点击其他按钮，pc蓝牙关开一次恢复正常（一般+测试2天出现2次+常用功能）
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_bug101654.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 26 Jan 2022 15:55:47 +0800

ukui-bluetooth (1.0.0-1kylin2k39.1) yangtze; urgency=medium

  * Bug:
    -  105143文件传输界面存在字体遮挡
    -  105231接收文件界面问题
  * Task :
  * Other:
    -  patches/fix_first_connect_wont_pop_out_hint_window.patch
    -  patches/fix_layout_after_update.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 26 Jan 2022 11:25:19 +0800

ukui-bluetooth (1.0.0-1kylin2k39) yangtze; urgency=medium

  * Bug:
    -  104854 侧边栏蓝牙窗口可以拖动，应该为固定不可拖动
  * Task :
  * Other:
   -  修复华为机器除手机pc可以主动断开外，其他类型无法主动断开的问题

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 24 Jan 2022 17:18:08 +0800

ukui-bluetooth (1.0.0-1kylin2k38.2) yangtze; urgency=medium

  * Bug:
    -  104854 侧边栏蓝牙窗口可以拖动，应该为固定不可拖动
  * Task :
  * Other:
    -  patches/fix_traywidget_window_frameless.patch

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 24 Jan 2022 16:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k38.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  修复华为机器除手机pc可以主动断开外，其他类型无法主动断开的问题
    -  patches/ukcc_bleutooth_add_disconnect_btn.patch
 -- kylin <kylin@kylin-ThinkPad-T14-Gen-1>  Mon, 24 Jan 2022 10:29:24 +0800

ukui-bluetooth (1.0.0-1kylin2k38) yangtze; urgency=medium

  * Bug:
    -  104233无法发送带有##符号的文件·
    -  100701 弹窗界面字体未跟随系统设置改变
    -  103354 【蓝牙】连接蓝牙设备后，控制面板显示的配对顺序和侧边栏显示配对顺序不同
    -  103927 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】移除蓝牙设备时候概率性出现“”移除”位置错位（提示+高概率+常用功能） DTS2022011313062
  * Task :
  * Other:
 
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 21 Jan 2022 14:56:15 +0800

ukui-bluetooth (1.0.0-1kylin2k37.5) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  修复s3s4后扫描开启的问题，以及回连流程改调用连接接口devconnect的dbus
    -  patches/ukcc_bluetooth_and_bluetoothService_scan_optimise.patch


 -- dengtuo <dengtuo@kylinos.cn>  Fri, 21 Jan 2022 14:23:59 +0800

ukui-bluetooth (1.0.0-1kylin2k37.4) yangtze; urgency=medium

  * Bug:
    -  104233无法发送带有##符号的文件·
  * Task :
  * Other:
    -  patches/fix_cannot_send_symbol_named_files.patch

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 21 Jan 2022 11:16:29 +0800

ukui-bluetooth (1.0.0-1kylin2k37.3) yangtze; urgency=medium

  * Bug:
    -  100701 弹窗界面字体未跟随系统设置改变
  * Task :
  * Other:
    -  patches/fix_widget_font_size_change.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 20 Jan 2022 17:52:10 +0800

ukui-bluetooth (1.0.0-1kylin2k37.2) yangtze; urgency=medium

  * Bug:
    -  103354 【蓝牙】连接蓝牙设备后，控制面板显示的配对顺序和侧边栏显示配对顺序不同
  * Task :
  * Other:
    -  patches/fix_lasted_mistake.patch
    -  patches/fix_unsorted_table_in_traywidget_and_upgrade_the_speed_of_open_up.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 20 Jan 2022 09:03:32 +0800

ukui-bluetooth (1.0.0-1kylin2k37.1) yangtze; urgency=medium

  * Bug:
    -  103927 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】移除蓝牙设备时候概率性出现“”移除”位置错位（提示+高概率+常用功能） DTS2022011313062
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_cmpbug103927.patch

 -- dengtuo <dengtuo@kylinoc.cn>  Thu, 20 Jan 2022 08:54:16 +0800

ukui-bluetooth (1.0.0-1kylin2k37) yangtze; urgency=medium

  * Bug:
    -  bug#101070 平板模式下，打开任意应用后，再打开侧边栏蓝牙界面，此时不会对已打开的应用进行最小化操作，蓝牙界面显示在应用之上
    -  103561 【蓝牙】英文模式下，移除蓝牙设备界面鼠标移入省略处未出现完整文字提示
    -  100842 【蓝牙】【3A5000】我的设备列表上方有一条横线
    -  103413 【蓝牙】设置为启典主题后，pc设备图标在控制面板和托盘未变化
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 19:17:02 +0800

ukui-bluetooth (1.0.0-1kylin2k36.9) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  修复服务未做适配器指针判断导致的段错误问题
    -  patches/bluetoothService_segmentation_fault.patch 

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 19:13:27 +0800

ukui-bluetooth (1.0.0-1kylin2k36.8) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  sleep_state_problem.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 18:21:14 +0800

ukui-bluetooth (1.0.0-1kylin2k36.7) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  1.华为机器去掉单击断连操作，放置在功能按键下
    -  2.增加单击时间判断，在200ms内相应连接和断开信号。超过200ms则不处理
    -  patches/ukcc_bluetooth_huawei_disconnect.patch
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 17:58:29 +0800

ukui-bluetooth (1.0.0-1kylin2k36.6) yangtze; urgency=medium
  * Bug:
    -  bug#101070 平板模式下，打开任意应用后，再打开侧边栏蓝牙界面，此时不会对已打开的应用进行最小化操作，蓝牙界面显示在应用之上
  * Task :
  * Other:
    -  patches/add_intel_window_manager_protocol.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 09:33:56 +0800

ukui-bluetooth (1.0.0-1kylin2k36.5) yangtze; urgency=medium
  * Bug:
    -  103561 【蓝牙】英文模式下，移除蓝牙设备界面鼠标移入省略处未出现完整文字提示
  * Task :
  * Other: 
    -  patches/ukcc_bluetooth_fix_bug103561.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 18 Jan 2022 09:19:48 +0800

ukui-bluetooth (1.0.0-1kylin2k36.4) yangtze; urgency=medium

  * Bug:
    -  100842 【蓝牙】【3A5000】我的设备列表上方有一条横线
  * Task :
  * Other:
    -  patches/the_interface_shows_a_line_problem.patch

 -- dengtuo <dengtuo@kylinos.cn>  Mon, 17 Jan 2022 14:39:35 +0800

ukui-bluetooth (1.0.0-1kylin2k36.3) yangtze; urgency=medium
  * Bug:
    -  103413 【蓝牙】设置为启典主题后，pc设备图标在控制面板和托盘未变化
  * Task :
  * Other:
    -  patches/fix_bug103413.patch
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 17 Jan 2022 14:31:05 +0800

ukui-bluetooth (1.0.0-1kylin2k36.2) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  将停止扫描放置在pair发起之前
    -  patches/bluetoothService_before_pair_stop_discovery.patch

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 14 Jan 2022 15:05:20 +0800

ukui-bluetooth (1.0.0-1kylin2k36.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  概率性问题：连接设备时配对成功连接未成功时，设备移动至设备列表中，在配对列表中显示未连接后再显示已连接的问题
    -  patches/ukcc_bluetooth_show_state_error.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 13 Jan 2022 17:35:35 +0800

ukui-bluetooth (1.0.0-1kylin2k36) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  连接设备时控制面板显示连接状态异常的问题

 -- kylin <dengtuo@kylinos.cn>  Thu, 13 Jan 2022 16:30:44 +0800

ukui-bluetooth (1.0.0-1kylin2k35) yangtze; urgency=medium

  * Bug:
    -  101406 windows给kylin发文件点击确认后无法获取文件类型
    -  100672 【蓝牙】插入两个蓝牙适配器，切换不同适配器会出现界面不会自动刷新
    -  100686 【蓝牙】插入多个蓝牙适配器后，在一个适配器内连接设备后，切换至另一适配器仍会显示在上一适配器所连接的设备
    -  102683 【SP2-2201整机】【宝德BM6J80】【蓝牙】【3/5概率】连接蓝牙设备，休>眠或睡眠后，控制面板-蓝牙显示‘蓝牙驱动异常’
  * Task :
  * Other:
    -  -  去除华为分支的电量显示界面，修复pin码界面布局问题

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 13 Jan 2022 15:20:11 +0800

ukui-bluetooth (1.0.0-1kylin2k34.5) yangtze; urgency=medium

  * Bug:
    -  101406 windows给kylin发文件点击确认后无法获取文件类型
  * Task :
  * Other:
    -  patches/fix_receive_file_from_WINDOWS_icon_after_click_accept.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 13 Jan 2022 14:49:21 +0800

ukui-bluetooth (1.0.0-1kylin2k34.4) yangtze; urgency=medium

  * Bug:
    -  100672 【蓝牙】插入两个蓝牙适配器，切换不同适配器会出现界面不会自动刷新
    -  100686 【蓝牙】插入多个蓝牙适配器后，在一个适配器内连接设备后，切换至另一适配器仍会显示在上一适配器所连接的设备
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_more_adapter.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 13 Jan 2022 10:34:21 +0800

ukui-bluetooth (1.0.0-1kylin2k34.3) yangtze; urgency=medium

  * Bug:
    -  102683 【SP2-2201整机】【宝德BM6J80】【蓝牙】【3/5概率】连接蓝牙设备，休眠或睡眠后，控制面板-蓝牙显示‘蓝牙驱动异常’
  * Task :
  * Other:
    -  patches/fix_102683.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 12 Jan 2022 17:10:29 +0800

ukui-bluetooth (1.0.0-1kylin2k34.2) yangtze; urgency=medium
  
  * Bug:
  * Task :
  * Other:
    -  大字体情况下的pin码窗口按钮大小  
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 12 Jan 2022 15:39:49 +0800

ukui-bluetooth (1.0.0-1kylin2k34.1) yangtze; urgency=medium

  * Bug:
    -  102781 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】在pc右下角的查看bt界面，发现蓝牙设备（PAPOO BLE KB）电量那一栏有时显示错误电量信息，有时不显示电量信息（提示+高概率+常用功能）
  * Task :
  * Other:
    -  去除华为分支的电量显示界面，修复pin码界面布局问题
    -  patches/delete_battery_shown_in_HUAWEI.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 12 Jan 2022 14:56:36 +0800

ukui-bluetooth (1.0.0-1kylin2k34) yangtze; urgency=medium

  * Bug:
    -  101997 【cpm】【HUAWEI】【KOS】【BT】【非用例】音响搜到的显示为蓝牙符号不是音响符号（提示+必现+常用功能）
    -  102535 【cpm】【HUAWEI】【KOS】【BT】【功能测试】【L1】连接华为耳机弹出“pin码”（提示+必现+常用功能）
    -  102444 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】在pc右下角的查看bt界面发现蓝牙设备已经断开连接和设置中蓝牙界面显示已连接界面信息不符合逻辑，实际上听歌发现是断开连接的（测试两台pc设备均是这个现象，以右下角bt图标中的状态为准）(提示+高概率+常用功能）DTS2022010407277
    -  100352 【专项测试】【蓝牙】重启蓝牙服务后，测试机蓝牙名称显示变为“BlueZ 5.53”
    -  100295 【蓝牙】【概率性3/20】设置界面显示的蓝牙名称与实际扫描到本机的蓝牙名称不一致，多次重启电脑后弹出蓝牙设备修改名称窗口
    -  101081 【蓝牙】关闭蓝牙开关再重启蓝牙服务器，蓝牙开关自动打开
    -  100294 【蓝牙】配对弹窗文案与设计图不符（必现）
    -  100371 【蓝牙】接受文件弹窗显示与设计图不符（必现）
    -  101672 【小爱音响会被搜到两个甚至多个一样的图标，连接第二个图标才可连接上（第二个图标在等音响上电之后报提示语才出来，出现多个图标会误连不上）（一般+必现+常用功能）
    -  102290 【蓝牙】未插入适配器时，切换主题后蓝牙界面显示与设计图不符（浅色主题和深色主题都可以复现），重启控制面板可以恢复正常

  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 18:13:31 +0800

ukui-bluetooth (1.0.0-1kylin2k33.9) yangtze; urgency=medium

  * Bug:
    -  101997 【cpm】【HUAWEI】【KOS】【BT】【非用例】音响搜到的显示为蓝牙符号不是音响符号（提示+必现+常用功能）
  * Task :
  * Other:
    -  patches/fix_audiovideo_icon_wrong.patch
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 17:45:24 +0800

ukui-bluetooth (1.0.0-1kylin2k33.8) yangtze; urgency=medium

  * Bug:
    -  100352 【专项测试】【蓝牙】重启蓝牙服务后，测试机蓝牙名称显示变为“BlueZ 5.53”
    -  100295 【蓝牙】【概率性3/20】设置界面显示的蓝牙名称与实际扫描到本机的蓝牙名称不一致，多次重启电脑后弹出蓝牙设备修改名称窗口
  * Task :
  * Other:
    -  patches/resolve_100352and100295.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 17:28:19 +0800

ukui-bluetooth (1.0.0-1kylin2k33.7) yangtze; urgency=medium

  * Bug:
    -  101081 【蓝牙】关闭蓝牙开关再重启蓝牙服务器，蓝牙开关自动打开
  * Task :
  * Other:
    -  patches/fixed_bug_101081.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 17:24:56 +0800

ukui-bluetooth (1.0.0-1kylin2k33.6) yangtze; urgency=medium
  
  * Bug:
  * Task :
  * Other:
    - patches/ukcc_bluetooth_fix_optimize_error_info.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 16:45:47 +0800

ukui-bluetooth (1.0.0-1kylin2k33.5) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - patches/ukcc_bluetooth_fix_devConnect_signal.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 11 Jan 2022 09:46:50 +0800

ukui-bluetooth (1.0.0-1kylin2k33.4) yangtze; urgency=medium

  * Bug:
    -  102535 【cpm】【HUAWEI】【KOS】【BT】【功能测试】【L1】连接华为耳机弹出“pin码”（提示+必现+常用功能）
    -  102444 【CPM】【HUAWEI】【KOS】【BT】【功能测试】【L1】在pc右下角的查看bt界面发现蓝牙设备已经断开连接和设置中蓝牙界面显示已连接界面信息不符合逻辑，实际上听歌发现是断开连接的（测试两台pc设备均是这个现象，以右下角bt图标中的状态为准）（提示+高概率+常用功能）DTS2022010407277
  * Task :
  * Other:
    - patches/bluetoothService_fix_102535.patch 
 -- dengtuo <dengtuo@kylinos.cn>  Mon, 10 Jan 2022 17:47:06 +0800

ukui-bluetooth (1.0.0-1kylin2k33.3) yangtze; urgency=medium

  * Bug:
    -  100294 【蓝牙】配对弹窗文案与设计图不符（必现）
    -  100371 【蓝牙】接受文件弹窗显示与设计图不符（必现）
  * Task :
  * Other:
    -  patches/modify_intel_UI.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 07 Jan 2022 17:13:08 +0800

ukui-bluetooth (1.0.0-1kylin2k33.2) yangtze; urgency=medium

  * Bug: 
  * Task :
  * Other:
    -  优化设备mac地址随机的问题，服务过滤扫描数据上报
    -  patches/ukcc_bluetooth_fix_device_random_mac.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 07 Jan 2022 14:59:56 +0800

ukui-bluetooth (1.0.0-1kylin2k33.1) yangtze; urgency=medium

  * Bug:
    -  101672 【小爱音响会被搜到两个甚至多个一样的图标，连接第二个图标才可连接上（第二个图标在等音响上电之后报提示语才出来，出现多个图标会误连不上）（一般+必现+常用功能）
    -  102290 【蓝牙】未插入适配器时，切换主题后蓝牙界面显示与设计图不符（浅色主题和深色主题都可以复现），重启控制面板可以恢复正常
  * Task :
  * Other:
    -  patches/fix_bug101672and102290.patch

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 07 Jan 2022 14:44:30 +0800

ukui-bluetooth (1.0.0-1kylin2k33) yangtze; urgency=medium

  * Bug:
    -  98646 【蓝牙】更改主题图标模式为经典后，界面显示与设计图不符
    -  101563 【蓝牙】点击侧边栏蓝牙界面的“蓝牙设置”选项，不会跳转至控制面板蓝牙界面
    -  101633 【蓝牙】控制面板-蓝牙界面，台式机刚插入蓝牙适配器时，界面仍会短暂>显示一条白线
    -  101638 【CPM】【HUAWEI】【KOS】【BT】【非用例测试】点移除设备时，显示下次输入PIN码（提示+必现+常用功能） DTS2021123007614
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 06 Jan 2022 14:02:30 +0800

ukui-bluetooth (1.0.0-1kylin2k32.5) yangtze; urgency=medium

  * Bug:
    -  101563 【蓝牙】点击侧边栏蓝牙界面的“蓝牙设置”选项，不会跳转至控制面板蓝牙界面
    -  101633 【蓝牙】控制面板-蓝牙界面，台式机刚插入蓝牙适配器时，界面仍会短暂显示一条白线
  * Task :
  * Other:
    -  patches/Modify_interface_anomalies_and_compatibility_issues.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 06 Jan 2022 11:10:31 +0800

ukui-bluetooth (1.0.0-1kylin2k32.4) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  移除设备时区分需不需要pin码提示。
    -  patches/ukcc_bluetooth_fix_remove_show_window.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 05 Jan 2022 16:22:24 +0800

ukui-bluetooth (1.0.0-1kylin2k32.3) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  经典主题gsetting值修改
    -  patches/fix_different_gsetting_key.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 05 Jan 2022 16:18:13 +0800

ukui-bluetooth (1.0.0-1kylin2k32.2) yangtze; urgency=medium

  * Bug:
    -  98646 【蓝牙】更改主题图标模式为经典后，界面显示与设计图不符
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_bug98646.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 05 Jan 2022 14:03:29 +0800

ukui-bluetooth (1.0.0-1kylin2k32.1) yangtze; urgency=medium

  * Bug:
    -  101638 【CPM】【HUAWEI】【KOS】【BT】【非用例测试】点移除设备时，显示下次输入PIN码（提示+必现+常用功能） DTS2021123007614
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 05 Jan 2022 10:08:09 +0800

ukui-bluetooth (1.0.0-1kylin2k32) yangtze; urgency=medium

  * Bug:
    -  100541 【蓝牙管理器】最大字号缩放率150%下，蓝牙搜索列表设备名第32个字符显示不全
    -  100563 龙心台式机先于任务栏启动崩溃问题
    -  100854 无蓝牙适配器时任务栏托盘图标仍然存在
    -  100823 【蓝牙】英文模式下，设置字体为14及以上存在字符显示不全
    -  101120 【蓝牙】连接设备的过程中，来回移动鼠标进出设备，连接动画会变快
    -  100767 【蓝牙】“蓝牙设备”列表无设备时，界面显示带有一个异常横线  
    -  100747 【蓝牙】设置缺少三态
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 31 Dec 2021 14:10:38 +0800

ukui-bluetooth (1.0.0-1kylin2k31.6) yangtze; urgency=medium

  * Bug:
    -  100541 【蓝牙管理器】最大字号缩放率150%下，蓝牙搜索列表设备名第32个字符显示不全
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_fix_zoom_device_name_show_error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 31 Dec 2021 10:31:28 +0800

ukui-bluetooth (1.0.0-1kylin2k31.5) yangtze; urgency=medium

  * Bug:
    -  100563 龙心台式机先于任务栏启动崩溃问题
    -  100854 无蓝牙适配器时任务栏托盘图标仍然存在
  * Task :
  * Other:
    -  patches/fix_sigmentfault_start_before_panel_and_no_adapter_hide_trayicon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 30 Dec 2021 18:37:57 +0800

ukui-bluetooth (1.0.0-1kylin2k31.4) yangtze; urgency=medium

  * Bug:
    -  100823 【蓝牙】英文模式下，设置字体为14及以上存在字符显示不全
    -  101120 【蓝牙】连接设备的过程中，来回移动鼠标进出设备，连接动画会变快
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 30 Dec 2021 17:38:01 +0800

ukui-bluetooth (1.0.0-1kylin2k31.3) yangtze; urgency=medium

  * Bug:
    -  100767 【蓝牙】“蓝牙设备”列表无设备时，界面显示带有一个异常横线
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 30 Dec 2021 17:29:58 +0800

ukui-bluetooth (1.0.0-1kylin2k31.2) yangtze; urgency=medium

  * Bug:
    -  100747 【蓝牙】设置缺少三态
  * Task :
  * Other:
    -  patches/fix_three_status_in_settings_label.patch
    -  patches/fix_wrong_icon_in_classic_icon_theme.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 29 Dec 2021 16:21:17 +0800

ukui-bluetooth (1.0.0-1kylin2k31.1) yangtze; urgency=medium

  * Bug:
    -  96793 托盘蓝牙界面，未连接和已连接的蓝牙设备三态未实现
  * Task :
  * Other:
    -  patches/fix_wrong_click_color_in_circle_icon.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 29 Dec 2021 14:41:44 +0800

ukui-bluetooth (1.0.0-1kylin2k31) yangtze; urgency=medium

  * Bug:
    -  99870 多次传输文件界面显示数量错误
    -  100114 文件名过长时的显示问题
    -  97056 【蓝牙管理器】我的设备上有一条横线
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 28 Dec 2021 17:57:12 +0800

ukui-bluetooth (1.0.0-1kylin2k30.3) yangtze; urgency=medium

  * Bug:
    -  99870 多次传输文件界面显示数量错误
  * Task :
  * Other:
    -  patches/sendfile_again_widget_doesnt_change.patch
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 28 Dec 2021 17:12:03 +0800

ukui-bluetooth (1.0.0-1kylin2k30.2) yangtze; urgency=medium

  * Bug:
    -  100114 文件名过长时的显示问题
  * Task :
  * Other:
    -  patches/fix_sendfile_widget_label_width.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 28 Dec 2021 13:52:04 +0800

ukui-bluetooth (1.0.0-1kylin2k30.1) yangtze; urgency=medium

  * Bug:
    -  97056 【蓝牙管理器】我的设备上有一条横线
  * Task :
  * Other: 
    -  fixed_bug_97056.patch

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 28 Dec 2021 13:39:24 +0800

ukui-bluetooth (1.0.0-1kylin2k30) yangtze; urgency=medium

  * Bug:
    - 97561 【蓝牙】连接多个蓝牙耳机后，先连接的蓝牙耳机会按照预期断连，但是控制面板显示未更新，仍显示已连接
    -  99679 【蓝牙】修改已连接的设备（除首次配对连接设备）的名称后，控制面板界>面不会更新名称
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 24 Dec 2021 16:07:06 +0800

ukui-bluetooth (1.0.0-1kylin2k29.4) yangtze; urgency=medium

  * Bug:
    - 97561 【蓝牙】连接多个蓝牙耳机后，先连接的蓝牙耳机会按照预期断连，但是控制面板显示未更新，仍显示已连接
  * Task :
  * Other:
    - 解决因为兼容飞行模式,引入的开关蓝牙不回连问题
    - patches/0001-fixed-bug-97561.patch

 -- dengtuo <dengtuo@kylinos.cn>  Fri, 24 Dec 2021 15:34:20 +0800

ukui-bluetooth (1.0.0-1kylin2k29.3) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    - intel的匹配界面、托盘图标隐藏、删除blueman冲突
    - patches/delete_install_depend_conflict_blueman.patch
    - patches/fix_pin_code_widget_title_and_intel_tray_icon_hide.patch
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 24 Dec 2021 10:30:12 +0800

ukui-bluetooth (1.0.0-1kylin2k29.2) yangtze; urgency=medium

  * Bug:
    -  99679 【蓝牙】修改已连接的设备（除首次配对连接设备）的名称后，控制面板界面不会更新名称
  * Task :
  * Other:
    - patches/ukcc_bluetooth_name_change_error.patch 
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 23 Dec 2021 16:45:22 +0800

ukui-bluetooth (1.0.0-1kylin2k29.1) yangtze; urgency=medium

  * Bug:
  * Task :
  * Other:
    -  添加intel蓝牙界面入口
    -  patches/add_intel_tray_UI_open_interface.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 23 Dec 2021 16:39:33 +0800

ukui-bluetooth (1.0.0-1kylin2k29) yangtze; urgency=medium

  * Bug:
    -  99669 首次配对连接蓝牙设备，修改蓝牙名称，托盘蓝牙消失
    -  97655【蓝牙】连接需要pin的键盘后，配对弹窗界面会显示连接选项，此选项无用，键盘的连接需要键盘按enter触发，建议修改配对文案
    -  97648 【蓝牙】连接需要pin码的蓝牙键盘后，输入pin后，按enter，键盘连接成功，配对弹窗不会消失
    -  97695 设置系统字体后任务栏蓝牙字体部分生效
    -  97683文件传输失败提示不会自动显示在最上端
  * Task :
  * Other: 

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 23 Dec 2021 08:55:12 +0800

ukui-bluetooth (1.0.0-1kylin2k28.5) yangtze; urgency=medium

  * Bug:
    -  99669 首次配对连接蓝牙设备，修改蓝牙名称，托盘蓝牙消失
  * Task :
  * Other:
    -  patches/fix_first_time_connect_change_remote_device_name_segment_fault.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 23 Dec 2021 08:47:20 +0800

ukui-bluetooth (1.0.0-1kylin2k28.4) yangtze; urgency=medium

  * Bug:
    -  97655 【蓝牙】连接需要pin的键盘后，配对弹窗界面会显示连接选项，此选项无用，键盘的连接需要键盘按enter触发，建议修改配对文案
    -  97648 【蓝牙】连接需要pin码的蓝牙键盘后，输入pin后，按enter，键盘连接成功，配对弹窗不会消失
  * Task :
  * Other:
    -  patches/resolve_keyboard_display.patch
    -  patches/resolve_keyboard_display1.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 22 Dec 2021 17:32:30 +0800

ukui-bluetooth (1.0.0-1kylin2k28.3) yangtze; urgency=medium

  * Bug:
    -  97695 设置系统字体后任务栏蓝牙字体部分生效
    -  97683文件传输失败提示不会自动显示在最上端
  * Task :
  * Other:
    -  patches/fix_change_system_font_size_label_doesnt_change.patch
    -  patches/fix_when_transfer_fail_window_doesnt_activate.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 22 Dec 2021 11:10:21 +0800

ukui-bluetooth (1.0.0-1kylin2k28.2) yangtze; urgency=medium

  * Bug:
  * Task :
    -  华为机型ukui3.1分支传送文件入口屏蔽
  * Other:
 -- kylin <kylin@kylinos.cn>  Wed, 22 Dec 2021 10:47:13 +0800

ukui-bluetooth (1.0.0-1kylin2k28.1) yangtze; urgency=medium

  * Bug:
  * Task :
    -  华为机型ukui3.1分支传送文件入口屏蔽
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 22 Dec 2021 09:42:49 +0800

ukui-bluetooth (1.0.0-1kylin2k28) yangtze; urgency=medium

  * Bug:
    -  97548 取消文件传输测试机无提示
    -  97544 切换主题，我的设备选项图标显示异常
    -  98778 蓝牙发送文件弹窗界面显示不全
    -  98561 【蓝牙】无蓝牙适配器时界面显示与UI设计图不符（文案与图标都不一致）
    -  97200 【蓝牙管理器】15号字体时移除设备的弹窗有文字遮盖
    -  97056 【蓝牙管理器】我的设备上有一条横线
    -  98390 【upgrade】【蓝牙】sp1_0820升级sp2后，未重启机器后，打开控制面板蓝>牙，托盘会显示两个蓝牙图标，终端看存在两个ukui-bluetooth进程（新旧蓝牙托盘）
    -  98406 【蓝牙耳机】蓝牙耳机连接后，控制面板显示未连接
    -  98306 【蓝牙】连接设备未对配对弹窗操作时，设备状态会显示连接失败然后消失
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 21 Dec 2021 17:34:47 +0800

ukui-bluetooth (1.0.0-1kylin2k27.7) yangtze; urgency=medium

  * Bug:
    -  97548 取消文件传输测试机无提示
  * Task :
  * Other:
    -  patches/fix_no_actions_when_remote_device_cancel_sending.patch
 -- dengtuo <dengtuo@kylinos.cn>  Tue, 21 Dec 2021 16:18:01 +0800

ukui-bluetooth (1.0.0-1kylin2k27.6) yangtze; urgency=medium
  * Bug:
    -  97544 切换主题，我的设备选项图标显示异常
  * Task :
  * Other:
    -  patches/resolve_fix97544.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27.5) yangtze; urgency=medium
  * Bug:
    -  98778 蓝牙发送文件弹窗界面显示不全
  * Task :
  * Other:
    -  patches/fix_send_file_widget_wrong_long_of_label.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27.4) yangtze; urgency=medium
  * Bug:
    -  98561 【蓝牙】无蓝牙适配器时界面显示与UI设计图不符（文案与图标都不一致）
  * Task :
  * Other:
    -  patches/resolev_fix98561.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27.3) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  优化bluez重启，控制面板状态异常问题
    -  patches/resolve_bluez_reboot1.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27.2) yangtze; urgency=medium
  * Bug:
    -  97200 【蓝牙管理器】15号字体时移除设备的弹窗有文字遮盖
    -  97056 【蓝牙管理器】我的设备上有一条横线
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27.1) yangtze; urgency=medium
  * Bug:
    -  98390 【upgrade】【蓝牙】sp1_0820升级sp2后，未重启机器后，打开控制面板蓝牙，托盘会显示两个蓝牙图标，终端看存在两个ukui-bluetooth进程（新旧蓝牙托盘）
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k27) yangtze; urgency=medium
  * Bug:
    -  95776 【蓝牙】连接蓝牙后，向测试机传输音频文件，等待传输界面仍未显示音频图标，显示为默认图标
    -  97091 【蓝牙管理器】接受音频文件时，图标更新不及时
    -  98306 【蓝牙】连接设备未对配对弹窗操作时，设备状态会显示连接失败然后消失
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k26.4) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  超过三位数的文件传输进度显示问题
    -  patches/fix_label_show_on_file_send_progress_bar.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k26.3) yangtze; urgency=medium
  * Bug:
    -  95776 【蓝牙】连接蓝牙后，向测试机传输音频文件，等待传输界面仍未显示音频图标，显示为默认图标
    -  97091 【蓝牙管理器】接受音频文件时，图标更新不及时
  * Task :
  * Other:
    -  patches/fileSend_and_fileReceive_filetype_show.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k26.2) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  修复bluez服务重启后，导致重启前蓝牙开启，重启后蓝牙关闭问题；重启前蓝牙关闭，重启后开启问题
    -  patches/resolve_bluez_reboot.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k26.1) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  优化控制面板设备连接状态显示，增加连接超时时间至30s，发起连接后等待设备的连接成功或者失败信号，接受到对应信号后刷新界面显示。
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k26) yangtze; urgency=medium
  * Bug:
    -  97200 【蓝牙管理器】15号字体时移除设备的弹窗有文字遮盖
    -  97056 【蓝牙管理器】我的设备上有一条横线
    -  91207 【蓝牙】点击已连接的设备后的设置选项，此时整个设备都会置灰显示，与设计图只是设置选项区域置灰不符
    -  97457 【蓝牙】连接蓝牙设备后，“我的设备”列表会先显示设备未连接，然后在更新为已连接状态
    -  96123 蓝牙发送文件超过10个是界面显示不全
    -  95526 【蓝牙】“蓝牙设备”列表无设备无设备时，界面显示带有一个异常横线
    -  95393 【控制面板|蓝牙】关闭蓝牙状态，打开飞行模式再关闭，蓝牙为开启状态
    -  95702   取消匹配的连接状态问题
    -  95719   缩放条件下的布局异常
    -  95260   启动先于session导致的异常状态
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25.5) yangtze; urgency=medium
  * Bug:
  * Task :
  * Other:
    -  修改弹出PIN配对框后，界面提示连接失败的流程显示问题
    -  patches/ukcc_bluetooth_pin_time_connect_fail.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25.4) yangtze; urgency=medium
  * Bug:
    -  97200 【蓝牙管理器】15号字体时移除设备的弹窗有文字遮盖
    -  97056 【蓝牙管理器】我的设备上有一条横线
    -  91207 【蓝牙】点击已连接的设备后的设置选项，此时整个设备都会置灰显示，与设计图只是设置选项区域置灰不符
  * Task :
  * Other:
    -  patches/0001-fixed-bug-97200-bug-97056-bug-91207.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25.3) yangtze; urgency=medium
  * Bug:
    -  97457 【蓝牙】连接蓝牙设备后，“我的设备”列表会先显示设备未连接，然后在更新为已连接状态
  * Task :
  * Other:
    -  patches/ukcc_bluetooth_power_refresh_error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25.2) yangtze; urgency=medium
  * Bug:
    -  96123 蓝牙发送文件超过10个是界面显示不全
    -  95526 【蓝牙】“蓝牙设备”列表无设备无设备时，界面显示带有一个异常横线
    -  95393 【控制面板|蓝牙】关闭蓝牙状态，打开飞行模式再关闭，蓝牙为开启状态
  * Task :
  * Other:
    -  patches/fix_layout_when_transfer_more_than_10_files.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25.1) yangtze; urgency=medium
  * Bug:
    -  95702取消匹配的连接状态问题
    -  95719缩放条件下的布局异常
    -  95260启动先于session导致的异常状态
  * Other:
    -  fix_ukbt_layout_when_scale_150%.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k25) yangtze; urgency=medium
  * Bug:
    -  96767	低	一般	【蓝牙】本机蓝牙默认的名称超过了字数限制。
    -  96217 【蓝牙】点击托盘蓝牙右键菜单，界面图标显示无法看清
    -  93559 【upgrade】【蓝牙】sp1_0820升级sp2后，蓝牙界面显示无蓝牙适配器（已插入蓝牙适配器），手动杀掉bluetoothService后或重启后可以正常显示蓝牙界面
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k24.3) yangtze; urgency=medium
  * Bug:
    -  96767	低	一般	【蓝牙】本机蓝牙默认的名称超过了字数限制。
  * Other:
    -  清理.pro文件下的多余库文件
    -  修改bluetoothbase接口
    -  patches/fix_pair_timeout_twice_segement_fualt_and_tray_menu_action_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k24.2) yangtze; urgency=medium
  * Bug:
    -  96217 【蓝牙】点击托盘蓝牙右键菜单，界面图标显示无法看清
  * Other:
    -  两次连接超时弹框阻塞确定后段错误的问题
    -  patches/fix_pair_timeout_twice_segement_fualt_and_tray_menu_action_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k24.1) yangtze; urgency=medium
  * Bug:
    -  93559 【upgrade】【蓝牙】sp1_0820升级sp2后，蓝牙界面显示无蓝牙适配器（已插入蓝牙适配器），手动杀掉bluetoothService后或重启后可以正常显示蓝牙界面
  * Other:
    -  patches/ukcc_bluetooth_ota_upgrade.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k24) yangtze; urgency=medium
  * Bug:
    -  96255 打开控制面板且远端设备修改名字会造成段错误
    -  96213 右键菜单无法跳转
    -  94384 【蓝牙】连接手机设备后，手机端取消配对，再次使用测试机连接，测试机会先显示连接，然后显示断链
    -  95726 【PTOF】【蓝牙】首次配对蓝牙耳机/蓝牙键鼠，出现控制面板显示未连接，托盘和终端查看显示已连接
    -  95549 【蓝牙】移除设备后，“我的设备”标题不会消失
    -  91833 【蓝牙】thinkpad-x390机器使用快捷键关闭蓝牙，界面会先弹出显示无蓝牙适配器，然后恢复蓝牙关闭界面，此时再次开启蓝牙后，不会显示蓝牙设备列表
    -  95008 【蓝牙】连接蓝牙耳机后重启蓝牙开关，概率性出现“我的设备”列表消失，重启控制面板恢复正常(复现概率：10/30)
    -  94872 【蓝牙】连接蓝牙设备可以同时多个设备连接
    -  93672 【蓝牙】重启蓝牙开关后，刷新图标会卡顿1-2s后回复正常刷新，建议优化
    -  93900   新增托盘图标右键菜单
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k23.4) yangtze; urgency=medium
  * Bug:
    -  96255 打开控制面板且远端设备修改名字会造成段错误
    -  96213 右键菜单无法跳转
  * Other:
    -  patches/fix_ukbt_segment_faulse_and_right_click_menu_cannot_open_bluetoothsetting.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k23.3) yangtze; urgency=medium
  * Bug:
    -  96250 【蓝牙】连接设备失败时，界面不会提示连接失败的文案
  * Other:
    -  ukcc_bluetooth_conn_fail_show_error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k23.2) yangtze; urgency=medium
  * Bug:
    -  94384 【蓝牙】连接手机设备后，手机端取消配对，再次使用测试机连接，测试机会先显示连接，然后显示断链
  * Other:
    -  patches/resolve_bluedevstatus.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k23.1) yangtze; urgency=medium
  * Bug:
    -  95726 【PTOF】【蓝牙】首次配对蓝牙耳机/蓝牙键鼠，出现控制面板显示未连接，托盘和终端查看显示已连接
    -  95549 【蓝牙】移除设备后，“我的设备”标题不会消失
    -  91833 【蓝牙】thinkpad-x390机器使用快捷键关闭蓝牙，界面会先弹出显示无蓝牙适配器，然后恢复蓝牙关闭界面，此时再次开启蓝牙后，不会显示蓝牙设备列表
    -  95008 【蓝牙】连接蓝牙耳机后重启蓝牙开关，概率性出现“我的设备”列表消失，重启控制面板恢复正常(复现概率：10/30)
    -  94872 【蓝牙】连接蓝牙设备可以同时多个设备连接
    -  93672 【蓝牙】重启蓝牙开关后，刷新图标会卡顿1-2s后回复正常刷新，建议优化
    -  93900   新增托盘图标右键菜单
  * Other:
    -  去掉多余qDebug打印信息
    -  patches/ukcc_bluetooth_fix_zh_show_error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k23) yangtze; urgency=medium
  * Bug:
    -  94862 【蓝牙】蓝牙界面排版未按照设计图进行设计
    -  88581 【蓝牙】连接蓝牙音频设备，重启测试机蓝牙开关后，不会自动回连（必现）
    -  95601 【蓝牙】设备名称带有中文，并且名称过长时，界面会显示不完整
    -  95662 【蓝牙】蓝牙“我的设备”中设备状态和设置选项在显示上未对齐
    -  94423 【蓝牙】控制面板-搜索处输入蓝牙后无法弹出蓝牙选项，无法通过搜索打开蓝牙界面
    -  93900   新增托盘图标右键菜单
  * Other:
    -  中文标签显示问题、tooltip显示问题
    -  PIN码窗口布局和翻译问题
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22.5) yangtze; urgency=medium
  * Bug:
    -  94862 【蓝牙】蓝牙界面排版未按照设计图进行设计
    -  88581 【蓝牙】连接蓝牙音频设备，重启测试机蓝牙开关后，不会自动回连（必现）
  * Other:
    -  patches/Re-fix_Modify_back_link_and_layout.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22.4) yangtze; urgency=medium
  * Bug:
    -  95601 【蓝牙】设备名称带有中文，并且名称过长时，界面会显示不完整
    -  95662 【蓝牙】蓝牙“我的设备”中设备状态和设置选项在显示上未对齐
    -  94423 【蓝牙】控制面板-搜索处输入蓝牙后无法弹出蓝牙选项，无法通过搜索打开蓝牙界面
  * Other:
    -  patches/ukcc_bluetooth_fix_show_error.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22.3) yangtze; urgency=medium
  * Bug:
    -  93900 新增托盘图标右键菜单
  * Other:
    -  修复部分qt警告信息相关代码
    -  add_mouse_right_click_menu_for_tray_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22.2) yangtze; urgency=medium
  * Other:
    -  中文标签显示问题、tooltip显示问题
    -  fix_chzn_show_and_tooltip_problem.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22.1) yangtze; urgency=medium
  * Other:
    -  PIN码窗口布局和翻译问题
    -  patches/fix_pin_code_layout_and_translations.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k22) yangtze; urgency=medium
  * Bug:
    -  95314 接收文件图标变化
    -  95273 mp3格式图标支持
    -  95278 传输比例被遮挡
    -  93872 【蓝牙】连接任意安卓手机，配对弹窗显示与设计图不一致
    -  94862 【蓝牙】蓝牙界面排版未按照设计图进行设计
    -  66894 【蓝牙】命令重启蓝牙，控制面板、托盘处蓝牙的状态与任务栏显示的状态不一致
    -  93285 设备名称过长时界面显示不全的问题
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k21.4) yangtze; urgency=medium
  * Bug:
    -  95314 接收文件图标变化
    -  95273 mp3格式图标支持
    -  95278 传输比例被遮挡
  * Other:
    - patches/fix_icon_changed.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k21.3) yangtze; urgency=medium
  * Bug:
    -  93872 【蓝牙】连接任意安卓手机，配对弹窗显示与设计图不一致
  * Other:
    - patches/resolve_pinwiget_status.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k21.2) yangtze; urgency=medium
  * Bug:
    -  94862 【蓝牙】蓝牙界面排版未按照设计图进行设计
    -  66894 【蓝牙】命令重启蓝牙，控制面板、托盘处蓝牙的状态与任务栏显示的状态不一致
  * Other:
    - patches/fixed_bug_94862_66894.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800


ukui-bluetooth (1.0.0-1kylin2k21.1) yangtze; urgency=medium
  * Bug:
    - 93285 设备名称过长时界面显示不全的问题
  * Other:
    - patches/fix_dev_name_label_size.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k21) yangtze; urgency=medium
  * Bug:
    - 92877 【蓝牙】重启蓝牙服务后，蓝牙界面“我的设备”列表和“蓝牙设备”列表显示异常
    - 94222 【蓝牙】【概率性】传输多个文件时，对端只接收到一个文件后完成蓝牙传输，测试20次出现3次
    - 93466 【蓝牙】【概率性】传输多个文件时，当部分文件传输失败时测试机未弹出失败提示，测试20次出现3次
    - 93083 【蓝牙】使用手机连接测试机，弹出配对弹窗未操作时，右上角会出现提示连接成功的标识
    - 91817 【蓝牙】连接手机设备后，在手机端取消配对，再次连接该设备，会出现配对弹窗，但是安卓手机后显示已连接
    - 92378 【蓝牙】【用例200740】对端设备取消后重新配对，对端设备弹出配对窗口，测试机弹出连接成功消息且蓝牙列表显示已连接
    - 93217 【控制面板】【蓝牙】在15号字体下，控制面板蓝牙搜索出的设备名称显示不全
    - 94720 【蓝牙】当对端设备名称过长时，蓝牙系统设置界面显示不全
    - 93050 解决第二次发送文件失败的问题
    - 93037 【蓝牙】首次连接蓝牙耳机出现，控制面板显示已连接成功，但是终端查看未连接成功，托盘处也显示未连接，并且此时播放音乐从板载输出，并产生蓝牙服务core文件
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.10) yangtze; urgency=medium
  * Other:
    - s4后服务崩溃问题
    - patches/ukcc_bluetooth_s4_core.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.9) yangtze; urgency=medium
  * Bug:
    - 94222 【蓝牙】【概率性】传输多个文件时，对端只接收到一个文件后完成蓝牙传输，测试20次出现3次
    - 93466 【蓝牙】【概率性】传输多个文件时，当部分文件传输失败时测试机未弹出失败提示，测试20次出现3次
  * Other:
    - fix_send_file_when_delete_file.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.8) yangtze; urgency=medium
  * Bug:
    - 93083 【蓝牙】使用手机连接测试机，弹出配对弹窗未操作时，右上角会出现提示连接成功的标识
    - 91817 【蓝牙】连接手机设备后，在手机端取消配对，再次连接该设备，会出现配对弹窗，但是安卓手机后显示已连接
    - 92378 【蓝牙】【用例200740】对端设备取消后重新配对，对端设备弹出配对窗口，测试机弹出连接成功消息且蓝牙列表显示已连接
  * Other:
    - patches/resolve_delaybluestatus.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.7) yangtze; urgency=medium
  * Other:
    - ukcc依赖修改导致的ppa无法编译通过的问题
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.7) yangtze; urgency=medium
  * Other:
    - ukcc依赖修改导致的ppa无法编译通过的问题
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.6) yangtze; urgency=medium
  * Other:
    - 接收界面数量不变的问题、传输无类型文件崩溃的问题
    - patches/fix_segment_fault_in_send_non_type_file.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.5) yangtze; urgency=medium
  * Other:
    - ukcc依赖修改导致的ppa无法编译通过的问题
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.4) yangtze; urgency=medium
  * Bug:
    - 93217 【控制面板】【蓝牙】在15号字体下，控制面板蓝牙搜索出的设备名称显示不全
    - 94720 【蓝牙】当对端设备名称过长时，蓝牙系统设置界面显示不全
  * Other:
    - patches/ukcc_bluetooth_93217and94720.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.3) yangtze; urgency=medium
  * Bug:
    - 93050 解决第二次发送文件失败的问题
  * Other:
    - patches/fix_2th_send_file_failed.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.2) yangtze; urgency=medium
  * Bug:
    - 93037 【蓝牙】首次连接蓝牙耳机出现，控制面板显示已连接成功，但是终端查看未连接成功，托盘处也显示未连接，并且此时播放音乐从板载输出，并产生蓝牙服务core文件
  * Other:
    - patches/fixed_bug_93037.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20.1) yangtze; urgency=medium
  * Other:
    - 修复错误的修改引入的问题
    - patches/fix_incorrect_modify.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k20) yangtze; urgency=medium
  * Bug:
    - 87433 【PTOF】【蓝牙】使用手机向测试机发送文件时，查看文件接收弹窗的文件图标不会按照文件类型显示
    - 889386 【蓝牙】使用手机向测试机发送文件时，查看文件接收弹窗的文件图标不会按照文件类型显示
    - 92712 发送文件时再点发送文件无响应
    - 93261 文件數量顯示信息
    - 93933 背景透明度計算方式修改  
  * Other:
    - 解决蓝牙服务偶发性的崩溃问题
    - 服务连接过程中增加，扫描停止动作
    - 去除ukcc设备连接时的扫描停止操作，由服务一并操作
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.8) yangtze; urgency=medium
  * Other:
    - 去除ukcc设备连接时的扫描停止操作，由服务一并操作
    - patches/fix_send_file_no_type_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800


ukui-bluetooth (1.0.0-1kylin2k19.7) yangtze; urgency=medium
  * Bug:
    - 87433 【PTOF】【蓝牙】使用手机向测试机发送文件时，查看文件接收弹窗的文件图标不会按照文件类型显示
    - 889386 【蓝牙】使用手机向测试机发送文件时，查看文件接收弹窗的文件图标不会按照文件类型显示
  * Other:
    - patches/fix_send_file_no_type_icon.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.6) yangtze; urgency=medium
  * Bug:
    - 92712 发送文件时再点发送文件无响应
  * Other:
    - 放开被注释掉的isScan状态代码
    - patches/fixed_bug_89263.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.5) yangtze; urgency=medium
  * Other:
    - 解决蓝牙服务偶发性的崩溃问题
    - patches/resolve_bluesvr_crash.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.4) yangtze; urgency=medium
  * Other:
    - 删除.pc/xxx.patch目录下的.timestamp文件，导致传包ppa编译报错的问题。
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.3) yangtze; urgency=medium
  * Bug:
    - 92712 发送文件时再点发送文件无响应
  * Other:
    - patches/fix_append_files_to_tail_of_query_when_sending_files.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.2) yangtze; urgency=medium
  * Bug:
    - 93261 文件數量顯示信息
    - 93933 背景透明度計算方式修改  
  * Other:
    - patches/fix_background_transparency_calc.patch
    - patches/fix_file_send_widget_file_num.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19.1) yangtze; urgency=medium
  * Other:
    - 服务连接过程中增加，扫描停止动作
    - patches/huawei_connect_back_strategy.patch
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k19) yangtze; urgency=medium
  * Bug  :
    - 91097 【蓝牙】深色主题，机器无蓝牙无蓝牙适配器，控制面板-蓝牙界面图标无法看清
    - 93871 【蓝牙】已配对未连接的设备，当前显示为已配对，UI设计图显示为未连接
    - 93584 【SP2 UI走查】【蓝牙】控制面板-蓝牙界面-深色模式，“我的设备”、“蓝牙设备”无底色，悬停效果不对
    - 92452 【蓝牙】【用例198954】重启蓝牙服务后，系统设置界面蓝牙无法使用
    - 90700 【蓝牙】插入两个蓝牙适配器后，蓝牙界面不会实时变化，重启机器后界面显示无蓝牙适配器
    - 93585 【SP2 UI走查】【蓝牙】控制面板-蓝牙界面-浅色模式，悬停、点击效果未按设计稿
    - 93188 更改字体为12、13、14、15时，修改名称界面存在遮挡
    - 93116 修改蓝牙名称弹出框中部分字体显示不全
    - 90724 设置缩放比例为125%，蓝牙设备的图标发生变化
    - 93652 未连接蓝牙设备时，托盘界面最大字体遮挡
    - 93441 托盘界面15号字体100%电量时显示遮挡
    - 93222 文件发送选择设备界面黑色主题适配
    - 91817 连接手机设备后，在手机端取消配对，再次连接该设备，会出现配对弹窗，但是安卓手机后显示已连接
  * Other:
    - 添加服务日志框架，以及对应的gsetting
 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.9) yangtze; urgency=medium
  * Bug  :
    - 91097 【蓝牙】深色主题，机器无蓝牙无蓝牙适配器，控制面板-蓝牙界面图标无法看清
  * Other:
    -  patches/ukcc_bluetooth_errorUi_abnormality.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.8) yangtze; urgency=medium
  * Bug  :
    - 93871 【蓝牙】已配对未连接的设备，当前显示为已配对，UI设计图显示为未连接
    - 93584 【SP2 UI走查】【蓝牙】控制面板-蓝牙界面-深色模式，“我的设备”、“蓝牙设备”无底色，悬停效果不对
  * Other:
    -  patches/ukcc_bluetooth_ui_error.patch

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.7) yangtze; urgency=medium

  * Other:
    - 添加服务日志框架，以及对应的gsetting
    -  patches/add_log4qt_log.patch 

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.6) yangtze; urgency=medium

  * Bug  :
    - 92452 【蓝牙】【用例198954】重启蓝牙服务后，系统设置界面蓝牙无法使用
    - 90700 【蓝牙】插入两个蓝牙适配器后，蓝牙界面不会实时变化，重启机器后界面显示无蓝牙适配器
    - 93585 【SP2 UI走查】【蓝牙】控制面板-蓝牙界面-浅色模式，悬停、点击效果未按设计稿

  * Other:
    - 调整ui界面关系

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.5) yangtze; urgency=medium

  * Bug  :
    - 93188 更改字体为12、13、14、15时，修改名称界面存在遮挡
    - 93116 修改蓝牙名称弹出框中部分字体显示不全
    - 90724 设置缩放比例为125%，蓝牙设备的图标发生变化

  * Other:
    - 优化未匹配蓝牙设备连接过程中弹出pin码正常连接后未发送连接成功信号

 -- caitao <caitao@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.4) yangtze; urgency=medium

  * Bug  :
    - 93652 未连接蓝牙设备时，托盘界面最大字体遮挡

 -- 李享 <lixiang1@kylinos.cn>  Thu, 25 Nov 2021 14:08:43 +0800

ukui-bluetooth (1.0.0-1kylin2k18.3) yangtze; urgency=medium

  * Bug  :
    - 93441 托盘界面15号字体100%电量时显示遮挡

 -- 李享 <lixiang1@kylinos.cn>  Thu, 25 Nov 2021 11:00:27 +0800

ukui-bluetooth (1.0.0-1kylin2k18.2) yangtze; urgency=medium

  * Bug  :
    - 93222 文件发送选择设备界面黑色主题适配

 -- 李享 <lixiang1@kylinos.cn>  Thu, 25 Nov 2021 10:26:21 +0800

ukui-bluetooth (1.0.0-1kylin2k18.1) yangtze; urgency=medium

    * Bug  :
    - 91817 连接手机设备后，在手机端取消配对，再次连接该设备，会出现配对弹窗，但是安卓手机后显示已连接
  * Other:
    - 修复插拔蓝牙适配器对蓝牙服务默认适配器影响

 -- caitao <caitao@kylinos.cn>  Tue, 24 Nov 2021 14:28:29 +0800

ukui-bluetooth (1.0.0-1kylin2k18) yangtze; urgency=medium

    * Bug  :
    - 92999 发送文件文案
    - 92855 15号字体托盘界面文字遮挡
    - 92851 15号字体电量标签文字遮挡
    - 92850 15号字体文件发送设备选择界面文字遮挡
    - 90484 【升级】【蓝牙】sp1_0820升级sp2后，蓝牙界面显示无蓝牙适配器（已插入蓝牙适配器）
    - 91301 【蓝牙】【用例86954】修改蓝牙名称弹窗输入名称，按下enter键关闭了修改弹窗，修改未生效
    - 90633 【蓝牙】蓝牙关闭后重启机器蓝牙会被自动开启
  * Other:
    - 概率性段错误问题:取消配对信号后于配对状态改变信号造成的段错误
    - ukcc 修复bluez服务重启后,不显示已匹配设备界面问题
    - ukcc 优化dbus连接等待时间，从20ms增加到100ms以上
    - ukcc 在收到扫描结果后，关闭定时调用设置启动扫描接口
    - 优化蓝牙服务打印，屏蔽蓝牙信号值的打印日志输出

 -- dengtuo <dengtuo@kylinos.cn>  Tue, 23 Nov 2021 17:28:29 +0800

ukui-bluetooth (1.0.0-1kylin2k17.4) yangtze; urgency=medium

    * Bug  :
    - 92999 发送文件文案
    - 92855 15号字体托盘界面文字遮挡
    - 92851 15号字体电量标签文字遮挡
    - 92850 15号字体文件发送设备选择界面文字遮挡
  * Other:
    - 概率性段错误问题:取消配对信号后于配对状态改变信号造成的段错误

 -- 李享 <lixiang1@kylinos.cn>  Tue, 23 Nov 2021 17:28:29 +0800

ukui-bluetooth (1.0.0-1kylin2k17.3) yangtze; urgency=medium

  * Bug  :
    - 90484 【升级】【蓝牙】sp1_0820升级sp2后，蓝牙界面显示无蓝牙适配器（已插入蓝牙适配器）
    - 91301 【蓝牙】【用例86954】修改蓝牙名称弹窗输入名称，按下enter键关闭了修改弹窗，修改未生效
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 19 Nov 2021 15:16:46 +0800

ukui-bluetooth (1.0.0-1kylin2k17.2) yangtze; urgency=medium

  * Bug  :
    - bug#90633 【蓝牙】蓝牙关闭后重启机器蓝牙会被自动开启
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 19 Nov 2021 15:16:46 +0800

ukui-bluetooth (1.0.0-1kylin2k17.1) yangtze; urgency=medium

  * Bug  :
    - 无
  * Other:
    - ukcc 修复bluez服务重启后,不显示已匹配设备界面问题
    - ukcc 优化dbus连接等待时间，从20ms增加到100ms以上
    - ukcc 在收到扫描结果后，关闭定时调用设置启动扫描接口
    - 优化蓝牙服务打印，屏蔽蓝牙信号值的打印日志输出
 -- caitao <caitao@kylinos.cn>  Fri, 19 Nov 2021 15:16:46 +0800

ukui-bluetooth (1.0.0-1kylin2k17) yangtze; urgency=medium

  * Bug  :
    - 91607 多文件接收界面文字布局异常
    - 91308 【用例198945】【蓝牙】蓝牙发送文件时提示弹窗位置未居中显示
    - 92050 传输进度条、文件信息显示问题
  * Other:
    - 修改当连接状态蓝牙改变蓝牙名称时连接状态会改变的问题
    - 增加藏文ts文件
    - 修改插入多个适配器服务崩溃问题
    - panguw编译时pincodewidget缺少头文件
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 19 Nov 2021 15:16:46 +0800

ukui-bluetooth (1.0.0-1kylin2k16.3) yangtze; urgency=medium

  * Bug  :
    - 91607 多文件接收界面文字布局异常
    - 91308 【用例198945】【蓝牙】蓝牙发送文件时提示弹窗位置未居中显示
  * Other:
    - 修改当连接状态蓝牙改变蓝牙名称时连接状态会改变的问题

 -- 李享 <lixiang1@kylinos.cn>  Fri, 19 Nov 2021 15:16:46 +0800

ukui-bluetooth (1.0.0-1kylin2k16.2) yangtze; urgency=medium

  * Bug  :
  * Other:
    - 增加藏文ts文件
    - 修改插入多个适配器服务崩溃问题
 -- dengtuo <dengtuo@kylinos.cn>  Fri, 19 Nov 2021 10:06:20 +0800

ukui-bluetooth (1.0.0-1kylin2k16.1) yangtze; urgency=medium

  * Bug  :
    - 92050 传输进度条、文件信息显示问题
  * Other:
    - panguw编译时pincodewidget缺少头文件
 -- 李享 <lixiang1@kylinos.cn>  Fri, 19 Nov 2021 10:06:20 +0800

ukui-bluetooth (1.0.0-1kylin2k16) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    - 整合1.0.0-1kylin2k15.1至1.0.0-1kylin2k15.10的代码
    - 关闭bluez服务后一段时间开启，界面显示问题
    - 匹配后首次接收文件崩溃的问题
  - 优化蓝牙服务connectSignal函数信号槽重复绑定连接问题
  - resolve_bluezreboot.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 17 Nov 2021 17:48:41 +0800

ukui-bluetooth (1.0.0-1kylin2k15.10) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    - 关闭bluez服务后一段时间开启，界面显示问题
    - 匹配后首次接收文件崩溃的问题

 -- 李享 <lixiang1@kylinos.cn>  Wed, 17 Nov 2021 17:48:41 +0800

ukui-bluetooth (1.0.0-1kylin2k15.9) yangtze; urgency=medium
  * Bug  :
  ct:
   -bug#90253 【蓝牙】重启蓝牙服务，蓝牙显示关闭
  * Task :
  * Other:
  - 优化蓝牙服务connectSignal函数信号槽重复绑定连接问题
  - resolve_bluezreboot.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 17 Nov 2021 15:01:31 +0800

ukui-bluetooth (1.0.0-1kylin2k15.8) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  - 关闭蓝牙时可能造成的段错误问题
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 17 Nov 2021 15:01:31 +0800

ukui-bluetooth (1.0.0-1kylin2k15.7) yangtze; urgency=medium
  * Bug :
  - 90718 发送文件界面的翻译问题
 -- 李享 <lixiang1@kylinos.cn>  Wed, 17 Nov 2021 15:01:31 +0800

ukui-bluetooth (1.0.0-1kylin2k15.6) yangtze; urgency=medium
  * Bug  :
  * Task :
   -task#60778 子 pangguw华为功能合并至sp2 / sp2控制面板修改界面切换停止扫描问题
  * Other:
  - 修改控制面板配对时取消后，无法开启扫描的问题
  - 增加控制面板在切换蓝牙界面时，开启关闭蓝牙扫描。
  - 修改蓝牙名称为单击修改
  - bluetooth_pangguw_ukcc_cut.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k15.5) yangtze; urgency=medium
  * Bug  :
     dt:
   -bug#91072 【蓝牙】更改为深色主题后，蓝牙设备修改名称的图标无法看清
   -bug#91069 【蓝牙】更改为深色主题后，蓝牙界面设备列表显示无边框，无分隔线
  * Task :
  * Other:
  - fix_bluetooth_show_bug.patch
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k15.4) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  - 黑色主题下界面优化、电量改变信号的添加
 -- 李享 <lixiang1@kylinos.cn>  Tue, 16 Nov 2021 17:22:43 +0800

ukui-bluetooth (1.0.0-1kylin2k15.3) yangtze; urgency=medium
  * Bug  :
   -bug#88736
  * Task :
  * Other:
  - patches/resolve_pinshow.patch
 -- caitao <caitao@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k15.2) yangtze; urgency=medium
  * Bug  :
     dt:
	 -bug#90605 【PTOF】【蓝牙】首次连接蓝牙设备，会出现断链，手动连接可以成功
     -bug#90692 【蓝牙】切换系统字体为14、15时，蓝牙主界面/任务栏蓝牙-设备名称显示不完整
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k15.1) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
     lx:
     -接收文件时取消按钮无效问题
     -pin码超时关闭崩溃问题
     -删除冗余代码
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k15) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
     lx:
     -背景色异常的问题
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k14) yangtze; urgency=medium
  * Bug  :
   -bug#88348
   -bug#81822 界面翻译问题
  * Task :
  * Other:
  -解决多文件传送问题
  - 蓝牙服务S4后崩溃问题
  -托盘蓝牙首次启动点击开关崩溃问题
  - 控制面板闪退问题修改
     tg:
	 -添加单例模式
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.8) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  -解决多文件传送问题
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.7) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  -还原ukui-bluetooth (1.0.0-1kylin2k13.6)版本

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.6) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  - 蓝牙服务S4后崩溃问题
  -托盘蓝牙首次启动点击开关崩溃问题
  - fix_bluetooth_bluetoothService_crash.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.5) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
  - 控制面板闪退问题修改
  - fix_bluetooth_ukcc_crash.patch

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.4) yangtze; urgency=medium
  * Bug  :
     - 88348
  * Task :
  * Other:
  - patches/fix_bluetooth_style.patch

 -- caitao <caitao@kylinos.cn>  Fri, 12 Nov 2021 17:30:04 +0800

ukui-bluetooth (1.0.0-1kylin2k13.3) yangtze; urgency=medium
  * Bug  :
  * Task :
     lx:
	 -多文件接收功能
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.2) yangtze; urgency=medium
  * Bug  :
     lx:
	 -bug#81822 界面翻译问题
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13.1) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
     tg:
	 -添加单例模式
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k13) yangtze; urgency=medium
  * Bug  :
     lx:
	 -90437 【蓝牙】鼠标悬浮在托盘蓝牙图标上显示为英文、单例引入
     tg:
	 -89062 【蓝牙】移除设备界面显示与UI设计图不符
     -88716 【蓝牙】蓝牙修改设备名称界面与设计图不符
     -88859 【蓝牙】关闭蓝牙后，蓝牙名称也会被隐藏，与设计图不符
     dt:
	 -90689 【蓝牙】控制面板最大化后，蓝牙界面显示异常
  * Task :
  * Other:
     dt:
	 -修改控制面版大小缩放后和设计不一致
     -修改S3S4休眠启动后，控制面板闪退的问题
     -翻译文件
     ct:
	 -设置部分，dbus连接改为非阻塞
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k12.4) yangtze; urgency=medium
  * Bug  :
     lx:
	 -90437 【蓝牙】鼠标悬浮在托盘蓝牙图标上显示为英文、单例引入
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k12.3) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
     dt:
	 -修改控制面版大小缩放后和设计不一致
     -修改S3S4休眠启动后，控制面板闪退的问题
     -翻译文件
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k12.2) yangtze; urgency=medium
  * Bug  :
  * Task :
  * Other:
     ct:
	 -设置部分，dbus连接改为非阻塞
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k12.1) yangtze; urgency=medium
  * Bug  :
     tg:
	 -89062 【蓝牙】移除设备界面显示与UI设计图不符
     -88716 【蓝牙】蓝牙修改设备名称界面与设计图不符
     -88859 【蓝牙】关闭蓝牙后，蓝牙名称也会被隐藏，与设计图不符
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k12) yangtze; urgency=medium
  * Bug  :
     lx:
        -89696 任务栏处蓝牙界面设备名称或图标显示不完整的现象
        -90243 重启机器托盘处显示蓝牙关闭,实际是开启状态
        -90240 发送文件进度条未变化
        -90245 无法接收文件
       
     dt:
        -90456 【蓝牙】蓝牙主界面开启选项在默认状态下为英文显示
        -90255 【PTOF】【蓝牙】概率性出现关闭蓝牙界面显示-无蓝牙适配器（之前版本此现象只在thinkpad系列机器出现）
        -90409 【PTOF】【蓝牙】选择任意文件右键打开后，选择“通过蓝牙发送”选项，点击后无响应
        -90265 【PTOF】【蓝牙】首次连接蓝牙设备，会先显示连接成功，然后断连，多次连接仍为概率性成功，并且已连接/未连接皆为英文显示
        -89191 【蓝牙】Thinkpad-x390，关闭蓝牙后，界面蓝牙列表消失，提示“无蓝牙适配器”（thinkpad必现，其他机型未复现）
		-90030 【蓝牙】thinkpad-x390机器，关闭蓝牙开关后，开启“可被附近设备发现”的选项，控制面板会闪退（此机器必现，其他机器未复现）
     tg:
        -88410 【蓝牙】连接蓝牙音频设备后重启机器不会实现自动回连（必现）
  * Task :
  * Other:
    tg:
		修改可以复用工程文件变量；
		添加音频设备回连；
    lx:
        1.解决蓝牙bluetoothService崩溃的问题。
        2.控制面板启动设置为其他类型设备显示
        3.删除多余的头文件，修改PIN点击确定时无相应信号的问题。
        4.解决文件输出手机端收不到的问题
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11.4) yangtze; urgency=medium
  * Bug  :
     lx:
        -90240 发送文件进度条未变化
        -90245 无法接收文件
  * Task :
  * Other:
 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11.3) yangtze; urgency=medium

  * Bug  :
     dt:
        -90265 【PTOF】【蓝牙】首次连接蓝牙设备，会先显示连接成功，然后断连，再次连接需要多次连接成功，并且已连接/未连接皆为英文显示
        -90456 【蓝牙】蓝牙主界面开启选项在默认状态下为英文显示
  * Task :
  * Other:

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11.2) yangtze; urgency=medium

  * Bug  :
     tg:
		-88410 【蓝牙】连接蓝牙音频设备后重启机器不会实现自动回连（必现）
     dt:
        -90255 【PTOF】【蓝牙】概率性出现关闭蓝牙界面显示-无蓝牙适配器（之前版本此现象只在thinkpad系列机器出现）
 * Task :
  * Other:
     tg:
		修改可以复用工程文件变量；
		添加音频设备回连；

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11.2) yangtze; urgency=medium

  * Bug  :
     tg:
		-88410 【蓝牙】连接蓝牙音频设备后重启机器不会实现自动回连（必现）
     dt:
        -90255 【PTOF】【蓝牙】概率性出现关闭蓝牙界面显示-无蓝牙适配器（之前版本此现象只在thinkpad系列机器出现）
 * Task :
  * Other:
     tg:
		修改可以复用工程文件变量；
		添加音频设备回连；

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11.1) yangtze; urgency=medium

  * Bug  :
     lx:
        -89696 任务栏处蓝牙界面设备名称或图标显示不完整的现象
        -90243 重启机器托盘处显示蓝牙关闭,实际是开启状态
        -90240 发送文件进度条未变化
        -90245 无法接收文件
  * Task :
  * Other:
        1.解决蓝牙bluetoothService崩溃的问题。
        2.控制面板启动设置为其他类型设备显示
        3.删除多余的头文件，修改PIN点击确定时无相应信号的问题。
        4.解决文件输出手机端收不到的问题

 -- dengtuo <dengtuo@kylinos.cn>  Wed, 10 Nov 2021 10:04:29 +0800

ukui-bluetooth (1.0.0-1kylin2k11) yangtze; urgency=medium

  * Bug  :
  * Task :
     -56447 【蓝牙3.1】设置里增加蓝牙设备分类
     -55123 ukui3.1控制面板设置界面和服务分离
  * Other:
     -sp2首个版本提交
     -托盘蓝牙界面和服务分离

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 28 Oct 2021 19:58:54 +0800

ukui-bluetooth (1.0.0-1kylin2k10) yangtze; urgency=medium

  * rebuild

 -- 李享 <lixiang1@kylinos.cn>  Fri, 05 Nov 2021 09:33:19 +0800

ukui-bluetooth (1.0.0-1kylin2k9) yangtze; urgency=medium

  * 修改默认颜色为黑色，修改安装文件

 -- 李享 <lixiang1@kylinos.cn>  Thu, 04 Nov 2021 19:57:34 +0800

ukui-bluetooth (1.0.0-1kylin2k9) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    解耦控制面板，添加控制面板依赖libpolkit-qt5-1-dev

 -- dengtuo <dengtuo@kylinos.cn>  Thu, 28 Oct 2021 19:58:54 +0800

ukui-bluetooth (1.0.0-1kylin2k8) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    解耦控制面板，添加控制面板依赖libpolkit-qt5-1-dev

 -- 李享 <lixiang1@kylinos.cn>  Thu, 28 Oct 2021 19:58:54 +0800

ukui-bluetooth (1.0.0-1kylin2k7) yangtze; urgency=medium

  * Bug  :
    - 87051 【蓝牙】命令行重启蓝牙服务后，无法实现蓝牙连接（已配对或未配对都无法连接成功），kill掉ukui-bluetooth后可以正常使用（必现）
    - 87066 【PTOF】【蓝牙】使用测试机向手机发送文件后，界面显示异常
    - 83114 【蓝牙】平板模式下旋转90度后，侧边栏蓝牙窗口显示不完整（必现）
    - 87222 【PTOF】【蓝牙】连接蓝牙耳机，合盖/锁屏界面点击取消进入睡眠后，唤醒，概率性出现无法连接成功，手动连接可以成功。（16/20）
    - 87092 【PTOF】【蓝牙】在系统设置-蓝牙界面，连接手机，此时配对弹窗与蓝牙主界面背景混在一起，影响视觉（必现）
  * Task :
  * Other:
     Intel 界面优化

 -- 李享 <lixiang1@kylinos.cn>  Thu, 28 Oct 2021 17:22:41 +0800

ukui-bluetooth (1.0.0-1kylin2k6) yangtze; urgency=medium

  * Bug  :
    - 82895 【蓝牙】侧边栏蓝牙图标只显示未连接状态，连接设备或关闭蓝牙，状态都不会更新
  * Task :
    - 54463 【蓝牙】实现多文件选中传输传输的功能
  * Other:
 
 -- 李享 <lixiang1@kylinos.cn>  Fri, 22 Oct 2021 16:23:38 +0800

ukui-bluetooth (1.0.0-1kylin2k5) yangtze; urgency=medium

  * Bug  :
    - 84911 刷机后默认状态系统设置和终端（rfkill list）显示蓝牙开启，侧边栏蓝牙界面显示蓝牙关闭
    - 84518 测试机连接安卓手机，使用安卓手机向测试机发送文件，传输成功后，测试机默认打开文件路径不是传输文件所在路径文件
    - 82860 测试机与手机相连配对弹窗或测试机与需要输入pin码键盘相连配对弹窗都显示为深色，不易被看清（必现）
    - 82871 连接蓝牙音频设备，睡眠唤醒后不会自动重连（必现）
  * Task :
  * Other:
    - 界面优化
 -- 李享 <lixiang1@kylinos.cn>  Fri, 15 Oct 2021 17:57:02 +0800

ukui-bluetooth (1.0.0-1kylin2k4) yangtze; urgency=medium

  * Bug  :
    - 82821 【蓝牙】点击侧边栏蓝牙界面的蓝牙设置选项后，侧边栏小窗口不会消失，可以和控制面板蓝牙界面同时显示（必现）
    - 83355 【蓝牙】平板模式下打开侧边栏-蓝牙界面，此时界面背景显示开始菜单，未虚化显示，应做到和网络界面一样统一（必现）
    - 82858 【蓝牙】在侧边栏蓝牙界面关闭蓝牙后，界面与设计不符（必现）
    - 83203 【UKUI V3.1】【Intel 0923版本】【蓝牙】连接华为系列耳机-huawei freebuds时，会弹出配对弹窗，点击配对后可以成功连接
    - 81148 【UKUI V3.1】【蓝牙】更换深色主题模式后，任务栏蓝牙界面仍为白色显示，并且标题消失
    - 81753 【UKUI V3.1】【Intel 0923版本】【蓝牙】蓝牙传输文件当前速度较慢，建议优化
    - 84485 【PTOF】【UKUI V3.1】【Intel 0930版本】【蓝牙】连接小米 air 2s耳机、小米SE耳机、小米青春版单耳耳机、小米音响，重启测试机蓝牙开关后不会自动回连，手动连接可以连接成功
    - 84474 【PTOF】【蓝牙】使用测试机连接安卓手机，发送文件或接受文件在浅色模式下弹窗都为深色显示，不易被看清
    - 84451 【PTOF】【蓝牙】通过侧边栏打开蓝牙，界面在浅色模式下显示为深色，并且深色模式下界面标题未高亮设置，不易被看清
    - 80936 【UKUI V3.1】【蓝牙】蓝牙部分界面未汉化完全
    - 81143 【UKUI V3.1】【Intel 0923版本】【蓝牙】使用安卓手机向测试机发送文件，在传输过程中点击取消或关闭，使用手机再次传输，测试机无弹窗提示，重启蓝牙后会弹窗提示是否接受文件
  * Task :
  * Other:
    界面优化和逻辑优化

 -- 李享 <lixiang1@kylinos.cn>  Sat, 09 Oct 2021 17:56:28 +0800

ukui-bluetooth (1.0.0-1kylin2k3) yangtze; urgency=medium

  * Bug  :
    - 81645 测试机发送文件的弹窗或接收文件的弹窗中的进度百分比显示不完整
    - 81652 概率性出现蓝牙托盘处显示关闭，控制面板和任务栏都显示蓝牙开启的现象（共计出现四次）
    - 81434 使用安卓手机向测试机发送文件，测试机接受文件弹窗界面显示异常
    - 81008 连接任意蓝牙设备，任务栏“我的设备”列表不会同步更新，需要重启蓝牙后，界面可以更新显示，但是显示布局错乱，重启机器后列表显示恢复正常
    - 81109 连接小米 air 2s耳机、小米SE耳机、小米青春版单耳耳机、小米音响，重启测试机或重启蓝牙开关后不会自动回连，手动连接可以连接成功
    - 82861 更改主题为深色主题后，侧边栏蓝牙界面未适配主题
    - 82860 测试机与手机相连配对弹窗或测试机与需要输入pin码键盘相连配对弹窗都显示为深色，不易被看清
    - 82864 连接/断连/移除蓝牙设备后，侧边栏蓝牙列表未同步更新,重启机器后可以正常显示列表
    - 82871 连接蓝牙音频设备，睡眠唤醒后不会自动重连
    - 82763 刷机后首次查看蓝牙默认状态为开启状态，intel项目要求默认为关闭状态
    - 83109 打开侧边栏-蓝牙，界面显示为直角，未显示圆角适配主题
    - 83477 点击侧边栏-蓝牙弹窗，任务栏无小窗口显示
    - 82895 侧边栏蓝牙图标只显示未连接状态，连接设备或关闭蓝牙，状态都不会更新
    - 81001 蓝牙关闭后重启，蓝牙自动开启
  * Task :
  * Other:
    - 界面优化和功能完善

 -- 李享 <lixiang1@kylinos.cn>  Thu, 30 Sep 2021 17:15:31 +0800

ukui-bluetooth (1.0.0-1kylin2k2) yangtze; urgency=medium

  * Bug  :
    - bug#82163 【蓝牙】刷机后，蓝牙小窗口一直显示在界面中，并且无法关闭
    - bug#80978 【UKUI V3.1】【蓝牙】任务栏开启蓝牙，控制面板未显示开启，仍显示关闭
  * Task :
  * Other:
    - Intel   :82163
    - Ukui3.1 :80978

 -- 李享 <lixiang1@kylinos.cn>  Thu, 23 Sep 2021 19:59:17 +0800

ukui-bluetooth (1.0.0-1kylin2k1) yangtze; urgency=medium

  * Other:
    - ukui3.1/intel分支合并重构

 -- 李享 <lixiang1@kylinos.cn>  Fri, 10 Sep 2021 11:12:09 +0800

ukui-bluetooth (1.0.0-1kylin1k64) yangtze; urgency=medium

  * Bug  :
    - bug#63672 手机与系统蓝牙配对在弹出配对框未点连接时，右上角弹出蓝牙连接成功
  * Task :
  * Other:
    - 解决蓝牙在新版本托盘上位置错误的问题

 -- guang tang <tangguang@kylinos.cn>  Tue, 10 Aug 2021 10:57:52 +0800

ukui-bluetooth (1.0.0-1kylin1k63) yangtze; urgency=medium

  * Bug  :
     - bug#69825 发送文件到手机设备，弹出进度条时，取消发送，再次发送文件一直提示传输失败
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Sat, 31 Jul 2021 10:36:24 +0800

ukui-bluetooth (1.0.0-1kylin1k62) yangtze; urgency=medium

  * Bug  :
    - bug#67617 手机向笔记本发送文件中途断开连接，无接收文件失败等提示信息且一直处于接收文件状态中
    - bug#67071 系统进入睡眠或者休眠后唤醒登录系统，任务栏蓝牙应用未启动，通知提示缺失蓝牙适配器
    - bug#67653 测试机与辅助机连接后，再把辅助机蓝牙关闭，向辅助机传输文件，约20次出现不弹出蓝牙发送窗口，出现后需要重启才能恢复
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Fri, 16 Jul 2021 16:12:22 +0800

ukui-bluetooth (1.0.0-1kylin1k61) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
         -华为990去掉文件传输功能
 
 -- liuyuanpeng <liuyuanpeng@kylinos.cn>  Mon, 12 Jul 2021 19:28:21 +0800

ukui-bluetooth (1.0.0-1kylin1k60) yangtze; urgency=medium

  * Bug  :
     - 解决程序在重启蓝牙服务时崩溃问题
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Thu, 08 Jul 2021 20:23:08 +0800

ukui-bluetooth (1.0.0-1kylin1k59) yangtze; urgency=medium

  * Bug  :
    - bug#65530/65567 蓝牙配对成功后，通知中弹出两条同样的信息
    - bug#65558 蓝牙传输文件不弹文件接收窗口
    - bug#65770/65763 蓝牙传输文件后不关闭蓝牙文件传输成功的界面；直接再次通过蓝牙传输文件失败
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Thu, 08 Jul 2021 16:15:15 +0800

ukui-bluetooth (1.0.0-1kylin1k58) yangtze; urgency=medium

  * Bug  :
    - bug#63109 控制面板、托盘处蓝牙的状态与任务栏显示的状态不一致
  * Task :
  * Other:
    - 解决重启蓝牙服务后连接设备不弹框问题
    - 解决重启蓝牙服务后agent断开问题

 -- guang tang <tangguang@kylinos.cn>  Wed, 07 Jul 2021 15:05:26 +0800

ukui-bluetooth (1.0.0-1kylin1k57) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    - Rebuild

 -- guang tang <tangguang@kylinos.cn>  Wed, 07 Jul 2021 11:22:52 +0800

ukui-bluetooth (1.0.0-1kylin1k56) yangtze; urgency=medium

  * Bug  :
    - bug#63109 控制面板、托盘处蓝牙的状态与任务栏显示的状态不一致
    - bug#62739 【cpm】【L1】9：01：40左右蓝牙传输文件不弹文件接收窗口
    - bug#65064 蓝牙配对成功后，通知中弹出两条同样的信息
    - bug#64471 蓝牙设备连接成功后出现两条连接成功消息
    - bug#62724 蓝牙文件接收过程中取消，多次弹出确认窗口
  * Task :
  * Other:
    - 解决重启蓝牙服务后连接设备不弹框问题
    - 解决重启蓝牙服务后agent断开问题

 -- guang tang <tangguang@kylinos.cn>  Wed, 07 Jul 2021 11:22:52 +0800

ukui-bluetooth (1.0.0-1kylin1k55) yangtze; urgency=medium

  * Bug  :
    - bug#55777 发送文件-选择文件窗口，窗口右边没有显示插入系统的U盘
    - bug#61036 电脑开启蓝牙，使用手机连接此蓝牙，弹出pin码后，手机端点击取消，电脑端提示“连接超时”
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Fri, 02 Jul 2021 20:22:56 +0800

ukui-bluetooth (1.0.0-1kylin1k54) yangtze; urgency=medium

  * Bug  :
  * Task :
  * Other:
    - 0630未通关bug的修改
    - bug#63674 手机与系统蓝牙配对超时后，1分钟之后点击确认，ukui-bluetooth会出现段错误(Li Xiang)
    - bug#63675 手机与系统蓝牙配对，点击取消配对后，手机的蓝牙未从配对列表移除(Li Xiang)
    - bug#63708 【蓝牙】使用rfkill重启软连接之后，重启系统蓝牙核心转储(Deng Tuo)

 -- 李享 <lixiang1@kylinos.cn>  Thu, 01 Jul 2021 21:10:34 +0800

ukui-bluetooth (1.0.0-1kylin1k53) yangtze; urgency=medium

  * Bug  :
    - bug#63674 手机与系统蓝牙配对超时后，1分钟之后点击确认，ukui-bluetooth会出现段错误(lixiang)
    - bug#63675 手机与系统蓝牙配对，点击取消配对后，手机的蓝牙未从配对列表移除(lixiang)
  * Task :
  * Other: 

 -- guang tang <tangguang@kylinos.cn>  Wed, 30 Jun 2021 08:37:51 +0800

ukui-bluetooth (1.0.0-1kylin1k52) yangtze; urgency=medium

  * Bug  :
    - bug#63015/bug#62800 已连接过的蓝牙鼠标，移除后再次连接时会弹出两个连接成功的通知
    - bug#63851 深色主题下，文件传输界面文本.log、视频文件图标未反白 
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Mon, 28 Jun 2021 16:34:26 +0800

ukui-bluetooth (1.0.0-1kylin1k51) yangtze; urgency=medium

  * Bug  :
    - bug#63127 深色主题下，文件传输界面wps文件图标未反白
    - bug#63068 发送的文件名称中存在空格时，在传输界面显示“%20”
    - bug#62801 以蓝牙开启状态重启后，蓝牙为关闭状态，任务栏蓝牙图标为开启
    - bug#59301 传输成功小窗未关闭，无法进行再一次传输(dengtuo)
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Thu, 24 Jun 2021 11:16:31 +0800

ukui-bluetooth (1.0.0-1kylin1k50) yangtze; urgency=medium

  * Bug  :
    -  bug#59301 传输成功小窗未关闭，无法进行再一次传输(dengtuo)
    -  bug#63109 控制面板、托盘处蓝牙的状态与任务栏显示的状态不一致
  * Task :
  * Other: 

 -- guang tang <tangguang@kylinos.cn>  Wed, 23 Jun 2021 09:44:36 +0800

ukui-bluetooth (1.0.0-1kylin1k49) yangtze; urgency=medium
  
  * Bug  :
    - bug#59337 【通知】连接成功的语句不通顺，需去掉“的” (lizhuoheng)
    - bug#59653  CPM蓝牙关开，鼠标回连需要12s (dengtuo)
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Tue, 15 Jun 2021 14:03:33 +0800

ukui-bluetooth (1.0.0-1kylin1k48) yangtze; urgency=medium

  * Bug  :
    - bug#60919 右键发送文件只蓝牙窗口，文件类型图标不对+6407
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Fri, 11 Jun 2021 11:15:38 +0800

ukui-bluetooth (1.0.0-1kylin1k47) yangtze; urgency=medium

  * Bug  :
    - bug#56841 蓝牙鼠标配对连接上后又断开连接后正常(dengtuo)
  * Task : 
  * Other: 

 -- guang tang <tangguang@kylinos.cn>  Thu, 10 Jun 2021 11:25:46 +0800

ukui-bluetooth (1.0.0-1kylin1k46) yangtze; urgency=medium

  * Bug  :
    - bug#55733 :深色模式下，文件发送失败提示“传输失败”没有显示
  * Task :
  * Other:
    - 优化文件传输的文件类型图标
    - 去除任务栏托盘的提示信息

 -- guang tang <tangguang@kylinos.cn>  Fri, 28 May 2021 10:47:15 +0800

ukui-bluetooth (1.0.0-1kylin1k45) yangtze; urgency=medium

  * Bug  ：
    - bug#53893: 连接蓝牙键盘时弹出的窗口没有居中显示
    - bug#53345: 开关pc蓝牙开关或者重启PC，蓝牙耳机不回连
    - bug#53893: 连接蓝牙键盘时弹出的窗口没有居中显示
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Tue, 18 May 2021 10:14:03 +0800

ukui-bluetooth (1.0.0-1kylin1k44) yangtze; urgency=medium

  * Bug  :
    - bug#52807 :没有蓝牙功能的机器，蓝牙被会话管理器拉起，并异常退出返回退出码255
  * Task :
  * Other:
    - 关闭蓝牙时更新rfkill的状态

 -- guang tang <tangguang@kylinos.cn>  Sat, 08 May 2021 14:06:27 +0800

ukui-bluetooth (1.0.0-1kylin1k43) yangtze; urgency=medium

  * Bug  :
    - bug#50581: 蓝牙-托盘窗口界面优化
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Thu, 06 May 2021 15:58:31 +0800

ukui-bluetooth (1.0.0-1kylin1k42) yangtze; urgency=medium

  * Bug  : 
    - bug#50759：设备标题描述和下方设备进行颜色区分(by dengtuo)
    - bug#51110: 英文环境200%缩放，蓝牙发送文件框显示异常(by guangtang)
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Wed, 28 Apr 2021 16:35:45 +0800

ukui-bluetooth (1.0.0-1kylin1k41) yangtze; urgency=medium

  * Bug  : bug#50765
  * Task :
  * Other:

 -- guang tang <tangguang@kylinos.cn>  Sun, 25 Apr 2021 16:35:45 +0800

ukui-bluetooth (1.0.0-1kylin1k40) yangtze; urgency=medium

  * bug  : 
  * task :
  * other: 调整托盘菜单的样式

 -- guang tang <tangguang@kylinos.cn>  Fri, 23 Apr 2021 19:44:04 +0800

ukui-bluetooth (1.0.0-1kylin1k39) yangtze; urgency=medium

  * Fixed : bug#48323

 -- guang tang <tangguang@kylinos.cn>  Wed, 21 Apr 2021 11:30:40 +0800

ukui-bluetooth (1.0.0-1kylin1k38) yangtze; urgency=medium

  * Feat : 
    - 接入日志框架
    - 添加软件描述

 -- guang tang <tangguang@kylinos.cn>  Mon, 19 Apr 2021 06:42:32 +0800

ukui-bluetooth (1.0.0-1kylin1k37) yangtze; urgency=medium

  * 添加根据蓝牙状态改变托盘图标

 -- guang tang <tangguang@kylinos.cn>  Thu, 15 Apr 2021 16:16:39 +0800

ukui-bluetooth (1.0.0-1kylin1k36) yangtze; urgency=medium

  * 添加蓝牙配对蓝牙键盘输入PIN错误后提示对话框
  * 添加蓝牙发送文件没有配对的设备时提示信息

 -- guang tang <tangguang@kylinos.cn>  Wed, 31 Mar 2021 16:45:32 +0800

ukui-bluetooth (1.0.0-1kylin1k35) yangtze; urgency=medium

  * 蓝牙界面字体显示不全(bug#43968)

 -- guang tang <tangguang@kylinos.cn>  Wed, 24 Mar 2021 15:15:01 +0800

ukui-bluetooth (1.0.0-1kylin1k34) yangtze; urgency=medium

  * 修改蓝牙键盘配对时连接框翻译

 -- guang tang <tangguang@kylinos.cn>  Mon, 22 Mar 2021 17:35:58 +0800

ukui-bluetooth (1.0.0-1kylin1k33) yangtze; urgency=medium

  * 解决控制面板在点击移除蓝牙键盘闪退(bug#43352/bug#43821)

 -- guang tang <tangguang@kylinos.cn>  Mon, 22 Mar 2021 16:38:44 +0800

ukui-bluetooth (1.0.0-1kylin1k32) yangtze; urgency=medium

  * 解决蓝牙配对连接过程中，出现先连接成功，然后断开连接，最终再连接成功的现象(bug#42997)

 -- guang tang <tangguang@kylinos.cn>  Wed, 17 Mar 2021 22:03:25 +0800

ukui-bluetooth (1.0.0-1kylin1k31) yangtze; urgency=medium

  * 添加控制面板对音频设备连接逻辑

 -- guang tang <tangguang@kylinos.cn>  Thu, 11 Mar 2021 22:22:05 +0800

ukui-bluetooth (1.0.0-1kylin1k30) yangtze; urgency=medium

  * 优化音频设备连接逻辑
  * 托盘显示的设备名长度缩略

 -- guang tang <tangguang@kylinos.cn>  Wed, 10 Mar 2021 22:50:10 +0800

ukui-bluetooth (1.0.0-1kylin1k29) yangtze; urgency=medium

  * 修复蓝牙键盘不能连接问题
  * 替换部分图标

 -- guang tang <tangguang@kylinos.cn>  Wed, 10 Mar 2021 19:45:03 +0800

ukui-bluetooth (1.0.0-1kylin1k28) yangtze; urgency=medium

  * 添加飞行模式下，可以开启蓝牙
  * 解决蓝牙配置文件写失败问题

 -- guang tang <tangguang@kylinos.cn>  Tue, 09 Mar 2021 20:11:10 +0800

ukui-bluetooth (1.0.0-1kylin1k27) yangtze; urgency=medium

  * 解决蓝牙服务重启，托盘图标状态异常
  * 修改回连机制为，只回连外设
  * fix bug#41958

 -- guang tang <tangguang@kylinos.cn>  Tue, 09 Mar 2021 10:26:29 +0800

ukui-bluetooth (1.0.0-1kylin1k26) yangtze; urgency=medium

  * 文件目录调整
  * 修复安装后必现错误

 -- guang tang <tangguang@kylinos.cn>  Sat, 06 Mar 2021 10:04:37 +0800

ukui-bluetooth (1.0.0-1kylin1k25) yangtze; urgency=medium

  * 修改配置文件位置

 -- guang tang <tangguang@kylinos.cn>  Thu, 04 Mar 2021 17:31:45 +0800

ukui-bluetooth (1.0.0-1kylin1k24) yangtze; urgency=medium

  * 修改监听主题切换方法
  * 添加程序启动回连
  * 添加被连接消息提示（吕晗）

 -- guang tang <tangguang@kylinos.cn>  Thu, 04 Mar 2021 09:50:15 +0800

ukui-bluetooth (1.0.0-1kylin1k23) yangtze; urgency=medium

  * 解决bug#40897，bug#31510
  * 添加配对文件不存在，回连逻辑

 -- guang tang <tangguang@kylinos.cn>  Wed, 03 Mar 2021 10:43:07 +0800

ukui-bluetooth (1.0.0-1kylin1k22) yangtze; urgency=medium

  * 修复配对是否成功与配对界面无关(吕晗)
  * 修复对方取消配对，配对界面仍可点击(吕晗)

 -- guang tang <tangguang@kylinos.cn>  Sat, 27 Feb 2021 21:18:53 +0800

ukui-bluetooth (1.0.0-1kylin1k21) yangtze; urgency=medium

  * 修复bug#38600、bug#38599、bug#37905、bug#37921、bug#37945、bug#38597 (吕晗)

 -- guang tang <tangguang@kylinos.cn>  Fri, 26 Feb 2021 17:05:56 +0800

ukui-bluetooth (1.0.0-1kylin1k20) yangtze; urgency=medium

  * 修改蓝牙设备回连机制 

 -- guang tang <tangguang@kylinos.cn>  Sun, 21 Feb 2021 10:53:46 +0800

ukui-bluetooth (1.0.0-1kylin1k19) yangtze; urgency=medium

  * 系统正在接收文件，点击取消或关闭，界面无法退出，一直弹出接收确认界面(bug#35566)
  * 蓝牙连接成功失败断开等通知信息，在侧边栏通知详情里显示蓝牙与蓝牙设备，无具体信息(bug#31532)

 -- guang tang <tangguang@kylinos.cn>  Fri, 05 Feb 2021 16:08:17 +0800

ukui-bluetooth (1.0.0-1kylin1k18) yangtze; urgency=medium

  * 断开蓝牙音响，测试机系统提示与蓝牙设备断开连接“X6”，建议改为：与蓝牙设备“X6”断开成功(bug#37195)

 -- guang tang <tangguang@kylinos.cn>  Tue, 02 Feb 2021 20:53:21 +0800

ukui-bluetooth (1.0.0-1kylin1k17) yangtze; urgency=medium

  * 解决中文文件路径异常
    - 通过鼠标右键蓝牙发送文件，文件传输界面崩溃(bug#36787)
    - 测试机可以接收手机端发送的文件，但去个人路径下无法找到刚刚接收到的doc文件(bug#37157)

 -- guang tang <tangguang@kylinos.cn>  Mon, 01 Feb 2021 14:00:14 +0800

ukui-bluetooth (1.0.0-1kylin1k16) yangtze; urgency=medium

  * 已配对连接蓝牙成功后，进行S3/S4操作，唤醒后登录，任务栏蓝牙图标已丢失(bug#36744)

 -- guang tang <tangguang@kylinos.cn>  Sat, 30 Jan 2021 18:16:55 +0800

ukui-bluetooth (1.0.0-1kylin1k15) yangtze; urgency=medium

  * 修复机器第一次启动蓝牙传输服务没启动问题，相关问题如下
    - 手机端没有收到测试机传输内容(bug#37140)
    - 系统与手机蓝牙配对连接成功后，发送文件无任何提示，手机端也未收到接收请求(bug#31237)
    - 通过鼠标右键蓝牙发送文件，文件传输界面崩溃(bug#36787)

 -- guang tang <tangguang@kylinos.cn>  Sat, 30 Jan 2021 11:19:28 +0800

ukui-bluetooth (1.0.0-1kylin1k14) yangtze; urgency=medium

  * 由于可发现时间导致外设备无法扫描到设备信息(bug#32043)
  * 选择“从蓝牙发送文件到...”选项，弹出的界面窗口在任务栏无任务窗口图标显示(bug#33367)

 -- guang tang <tangguang@kylinos.cn>  Fri, 29 Jan 2021 19:02:35 +0800

ukui-bluetooth (1.0.0-1kylin1k13) yangtze; urgency=medium

  * 解决程序托盘首次点击事件为右键时出现一条黑线

 -- guang tang <tangguang@kylinos.cn>  Thu, 28 Jan 2021 15:28:30 +0800

ukui-bluetooth (1.0.0-1kylin1k12) yangtze; urgency=medium

  * 添加与飞行模式联调代码

 -- guang tang <tangguang@kylinos.cn>  Tue, 26 Jan 2021 17:13:12 +0800

ukui-bluetooth (1.0.0-1kylin1k11) yangtze; urgency=medium

  * 解决对端手机蓝牙关闭，系统发送文件，导致蓝牙崩溃退出(bug#33575)
  * 系统接收完通过蓝牙的传输的文件，弹出的查看按钮点击无响应(bug#35564)

 -- guang tang <tangguang@kylinos.cn>  Fri, 22 Jan 2021 19:32:26 +0800

ukui-bluetooth (1.0.0-1kylin1k10) yangtze; urgency=medium

  * 添加文件管理器蓝牙插件安装依赖

 -- guang tang <tangguang@kylinos.cn>  Thu, 21 Jan 2021 15:41:14 +0800

ukui-bluetooth (1.0.0-1kylin1k9) yangtze; urgency=medium

  * 添加对多个适配器的支持
  * 添加外设的电量显示 (bug#33902)
  * 优化s3/s4的代码逻辑
  * 在控制面板将蓝牙关闭后，重启系统再次打开控制面板-设备-蓝牙，显示蓝牙打开状态(bug#31252)

 -- guang tang <tangguang@kylinos.cn>  Wed, 20 Jan 2021 15:23:50 +0800

ukui-bluetooth (1.0.0-1kylin1k8) yangtze; urgency=medium

  * 偶现控制面板开关蓝牙和任务栏图标开关蓝牙不一致，且互相不影响 (bug#32507)

 -- guang tang <tangguang@kylinos.cn>  Thu, 14 Jan 2021 15:44:14 +0800

ukui-bluetooth (1.0.0-1kylin1k7) yangtze; urgency=medium

  * 适应主题的深色模式 (bug#32981、bug#32969)

 -- guang tang <tangguang@kylinos.cn>  Wed, 13 Jan 2021 17:35:30 +0800

ukui-bluetooth (1.0.0-1kylin1k6) yangtze; urgency=medium

  * 修改传输文件对话框为非模态 (bug#33370)

 -- guang tang <tangguang@kylinos.cn>  Wed, 13 Jan 2021 13:54:51 +0800

ukui-bluetooth (1.0.0-1kylin1k5) yangtze; urgency=medium

  * 添加blueman包冲突，以解决系统升级后存在blueman (bug#33299)

 -- guang tang <tangguang@kylinos.cn>  Wed, 13 Jan 2021 11:31:48 +0800

ukui-bluetooth (1.0.0-1kylin1k4) yangtze; urgency=medium

  * 去除Kwin的依赖，添加对bluez-obex的依赖

 -- guang tang <tangguang@kylinos.cn>  Tue, 12 Jan 2021 16:34:27 +0800

ukui-bluetooth (1.0.0-1kylin1k3) yangtze; urgency=medium

  * 修复设备不可见问题
  * 修改蓝牙鼠标键盘的连接机制
  * 修改显示多条通知弹窗
  * 修改配对后不会自动连接

 -- guang tang <tangguang@kylinos.cn>  Sat, 09 Jan 2021 14:55:18 +0800

ukui-bluetooth (1.0.0-1kylin1k2) yangtze; urgency=medium

  * 添加设备回连机制
  * 添加所有弹窗窗口标题
  * 添加设备配对超时消息弹窗

 -- guang tang <tangguang@kylinos.cn>  Mon, 04 Jan 2021 09:41:55 +0800

ukui-bluetooth (1.0.0-1kylin1k1) yangtze; urgency=medium

  * 配对界面使用窗管圆角
  * 弹窗按钮使用主题统一规格

 -- guang tang <tangguang@kylinos.cn>  Sat, 19 Dec 2020 17:14:50 +0800

ukui-bluetooth (1.0.0-1) yangtze; urgency=medium

  * 上传v101正式版本ppa

 -- guang tang <tangguang@kylinos.cn>  Fri, 04 Dec 2020 11:59:40 +0800

ukui-bluetooth (1.0.0-1~rc9) yangtze; urgency=medium

  * 解决系统挂起后，再唤醒，程序退出问题

 -- guang tang <tangguang@kylinos.cn>  Fri, 04 Dec 2020 11:11:09 +0800

ukui-bluetooth (1.0.0-1~rc8) yangtze; urgency=medium

  * 添加托盘菜单没有配对设备提示信息
  * 添加对系统挂起休眠信号的监听

 -- guang tang <tangguang@kylinos.cn>  Thu, 03 Dec 2020 15:03:27 +0800

ukui-bluetooth (1.0.0-1~rc7) yangtze; urgency=medium

  * 添加窗管圆角特性

 -- guang tang <tangguang@kylinos.cn>  Mon, 30 Nov 2020 18:46:44 +0800

ukui-bluetooth (1.0.0-1~rc3) yangtze; urgency=medium

  * add .desktop files

 -- guang tang <tangguang@kylinos.cn>  Sat, 28 Nov 2020 16:13:21 +0800

ukui-bluetooth (1.0.0-1~rc2) yangtze; urgency=medium

  * fix deps

 -- guang tang <tangguang@kylinos.cn>  Sat, 28 Nov 2020 14:57:00 +0800

ukui-bluetooth (1.0.0-1~rc1) yangtze; urgency=medium

  * Initial release

 -- guang tang <tangguang@kylinos.cn>  Fri, 27 Nov 2020 13:47:23 +0800
